Merge master into haskell-updates

This commit is contained in:
github-actions[bot] 2021-07-14 00:05:23 +00:00 committed by GitHub
commit 6e10550c38
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
103 changed files with 1423 additions and 1096 deletions

View file

@ -7530,6 +7530,12 @@
githubId = 1665818;
name = "Philipp Eder";
};
nickcao = {
name = "Nick Cao";
email = "nickcao@nichi.co";
github = "NickCao";
githubId = 15247171;
};
nickhu = {
email = "me@nickhu.co.uk";
github = "nickhu";
@ -10964,12 +10970,6 @@
github = "deviant";
githubId = 68829907;
};
va1entin = {
email = "github@valentinsblog.com";
github = "va1entin";
githubId = 31535155;
name = "Valentin Heidelberger";
};
vaibhavsagar = {
email = "vaibhavsagar@gmail.com";
github = "vaibhavsagar";

View file

@ -18,6 +18,7 @@ let
${lib.optionalString (cfg.zone != "") "zone=${cfg.zone}"}
ssl=${boolToStr cfg.ssl}
wildcard=YES
ipv6=${boolToStr cfg.ipv6}
quiet=${boolToStr cfg.quiet}
verbose=${boolToStr cfg.verbose}
${cfg.extraConfig}
@ -116,7 +117,15 @@ with lib;
default = true;
type = bool;
description = ''
Whether to use to use SSL/TLS to connect to dynamic DNS provider.
Whether to use SSL/TLS to connect to dynamic DNS provider.
'';
};
ipv6 = mkOption {
default = false;
type = bool;
description = ''
Whether to use IPv6.
'';
};

View file

@ -1,4 +1,4 @@
{ lib, stdenv, fetchurl, pkg-config
{ lib, stdenv, fetchurl, pkg-config, fetchFromGitLab
, python3
, perl
, perlPackages
@ -6,6 +6,7 @@
, intltool
, libpeas
, libsoup
, libdmapsharing
, gnome
, totem-pl-parser
, tdb
@ -18,6 +19,25 @@
let
pname = "rhythmbox";
version = "3.4.4";
# The API version of libdmapsharing required by rhythmbox 3.4.4 is 3.0.
# This PR would solve the issue:
# https://gitlab.gnome.org/GNOME/rhythmbox/-/merge_requests/12
# Unfortunately applying this patch produces a rhythmbox which
# cannot fetch data from DAAP shares.
libdmapsharing_3 = libdmapsharing.overrideAttrs (old: rec {
version = "2.9.41";
src = fetchFromGitLab {
domain = "gitlab.gnome.org";
owner = "GNOME";
repo = old.pname;
rev = "${lib.toUpper old.pname}_${lib.replaceStrings ["."] ["_"] version}";
sha256 = "05kvrzf0cp3mskdy6iv7zqq24qdczl800q2dn1h4bk3d9wchgm4p";
};
});
in stdenv.mkDerivation rec {
name = "${pname}-${version}";
@ -46,8 +66,12 @@ in stdenv.mkDerivation rec {
gst_all_1.gstreamer
gst_all_1.gst-plugins-base
libdmapsharing_3 # necessary for daap support
] ++ gst_plugins;
configureFlags = [ "--enable-daap" ];
enableParallelBuilding = true;
passthru = {

View file

@ -6,13 +6,13 @@
python3Packages.buildPythonApplication rec {
pname = "chia";
version = "1.2.0";
version = "1.2.1";
src = fetchFromGitHub {
owner = "Chia-Network";
repo = "chia-blockchain";
rev = version;
sha256 = "sha256-P5oWOQgyj+/Ia21R4PB6ID/iUPKBnW9/X5EF6RZjzS8=";
sha256 = "sha256-ZNSNROWl6RR4GZnoRGAXrdw48wH9OOgrsoKz0RNIIcs=";
};
patches = [

View file

@ -2,7 +2,7 @@
, wrapGAppsHook, pkg-config, desktop-file-utils
, appstream-glib, pythonPackages, glib, gobject-introspection
, gtk3, webkitgtk, glib-networking, gnome, gspell, texlive
, shared-mime-info, libhandy
, shared-mime-info, libhandy, fira
}:
let
@ -31,6 +31,12 @@ in stdenv.mkDerivation rec {
glib-networking libhandy ];
postPatch = ''
substituteInPlace data/media/css/web/base.css \
--replace 'url("/app/share/fonts/FiraSans-Regular.ttf") format("ttf")' \
'url("${fira}/share/fonts/opentype/FiraSans-Regular.otf") format("otf")' \
--replace 'url("/app/share/fonts/FiraMono-Regular.ttf") format("ttf")' \
'url("${fira}/share/fonts/opentype/FiraMono-Regular.otf") format("otf")'
patchShebangs --build build-aux/meson_post_install.py
'';

View file

@ -55,11 +55,11 @@
mkDerivation rec {
pname = "digikam";
version = "7.2.0";
version = "7.3.0";
src = fetchurl {
url = "mirror://kde/stable/${pname}/${version}/${pname}-${version}.tar.xz";
sha256 = "sha256-zYfs4UOu+gLmkqSvXDw8wQe5pNYYBNefp33S40R5ihc=";
sha256 = "sha256-la6pO+HP05u1IzO4Kz5Xv2gIDH0TGddU0WeiD22+RVE=";
};
nativeBuildInputs = [ cmake doxygen extra-cmake-modules kdoctools wrapGAppsHook ];

View file

@ -86,8 +86,7 @@ let
in stdenv.mkDerivation rec {
inherit pname version src;
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ jdk11 gradle_5 ];
nativeBuildInputs = [ makeWrapper jdk11 gradle_5 ];
buildPhase = ''
mkdir -p -- ./freeplane/build/emoji/{txt,resources/images}

View file

@ -1,4 +1,4 @@
{ lib, stdenv, fetchurl, ncurses, fetchpatch }:
{ lib, stdenv, fetchurl, ncurses, gettext, fetchpatch }:
stdenv.mkDerivation rec {
pname = "gcal";
@ -18,7 +18,7 @@ stdenv.mkDerivation rec {
enableParallelBuilding = true;
buildInputs = [ ncurses ];
buildInputs = [ ncurses ] ++ lib.optional stdenv.isDarwin gettext;
meta = {
description = "Program for calculating and printing calendars";

View file

@ -0,0 +1,46 @@
{ lib, buildGoModule, fetchFromSourcehut, scdoc, installShellFiles }:
buildGoModule rec {
pname = "gmnitohtml";
version = "0.1.1";
src = fetchFromSourcehut {
owner = "~adnano";
repo = pname;
rev = version;
hash = "sha256-XcHJbqmfSkW6lt2xRlrf9AJfwLOZqdgsL1v0aK2bQwo=";
};
vendorSha256 = "sha256-Cx8x8AISRVTA4Ufd73vOVky97LX23NkizHDingr/zVk=";
ldflags = [ "-s" "-w" ];
# Build and install the man pages
nativeBuildInputs = [ scdoc installShellFiles ];
postBuild = ''
make gmnitohtml.1
'';
postInstall = ''
installManPage gmnitohtml.1
'';
doInstallCheck = true;
installCheckPhase = ''
runHook preInstallCheck
$out/bin/gmnitohtml --help
runHook postInstallCheck
'';
meta = with lib; {
homepage = "https://git.sr.ht/~adnano/gmnitohtml";
changelog = "https://git.sr.ht/~adnano/gmnitohtml/log";
description = "Gemini text to HTML converter";
longDescription = ''
he gmnitohtml utility reads Gemini text from the standard input and writes
HTML to the standard output.
'';
license = licenses.mit;
maintainers = with maintainers; [ jk sikmir ];
};
}

View file

@ -1,4 +1,5 @@
{ cairo
{ config
, cairo
, cmake
, fetchFromGitHub
, libXdmcp
@ -29,87 +30,87 @@
, i3-gaps
, jsoncpp
# override the variables ending in 'Support' to enable or disable modules
, alsaSupport ? true
# override the variables ending in 'Support' to enable or disable modules
, alsaSupport ? true
, githubSupport ? false
, mpdSupport ? false
, pulseSupport ? false
, iwSupport ? false
, nlSupport ? true
, i3Support ? false
, mpdSupport ? false
, pulseSupport ? config.pulseaudio or false
, iwSupport ? false
, nlSupport ? true
, i3Support ? false
, i3GapsSupport ? false
}:
stdenv.mkDerivation rec {
pname = "polybar";
version = "3.5.6";
pname = "polybar";
version = "3.5.6";
src = fetchFromGitHub {
owner = pname;
repo = pname;
rev = version;
sha256 = "sha256-Uvj9V2M/uQxyziTx1hecrcaQZECijlpVmWcUeT+PqrI=";
fetchSubmodules = true;
};
src = fetchFromGitHub {
owner = pname;
repo = pname;
rev = version;
sha256 = "sha256-Uvj9V2M/uQxyziTx1hecrcaQZECijlpVmWcUeT+PqrI=";
fetchSubmodules = true;
};
nativeBuildInputs = [
cmake
pkg-config
python3Packages.sphinx
removeReferencesTo
]
++ lib.optional (i3Support || i3GapsSupport) makeWrapper;
nativeBuildInputs = [
cmake
pkg-config
python3Packages.sphinx
removeReferencesTo
] ++ lib.optional (i3Support || i3GapsSupport) makeWrapper;
buildInputs = [
cairo
libXdmcp
libpthreadstubs
libxcb
pcre
python3
xcbproto
xcbutil
xcbutilcursor
xcbutilimage
xcbutilrenderutil
xcbutilwm
xcbutilxrm
]
++ lib.optional alsaSupport alsa-lib
++ lib.optional githubSupport curl
++ lib.optional mpdSupport libmpdclient
++ lib.optional pulseSupport libpulseaudio
++ lib.optional iwSupport wirelesstools
++ lib.optional nlSupport libnl
++ lib.optional (i3Support || i3GapsSupport) jsoncpp
++ lib.optional i3Support i3
++ lib.optional i3GapsSupport i3-gaps;
buildInputs = [
cairo
libXdmcp
libpthreadstubs
libxcb
pcre
python3
xcbproto
xcbutil
xcbutilcursor
xcbutilimage
xcbutilrenderutil
xcbutilwm
xcbutilxrm
] ++ lib.optional alsaSupport alsa-lib
++ lib.optional githubSupport curl
++ lib.optional mpdSupport libmpdclient
++ lib.optional pulseSupport libpulseaudio
++ lib.optional iwSupport wirelesstools
++ lib.optional nlSupport libnl
++ lib.optional (i3Support || i3GapsSupport) jsoncpp
++ lib.optional i3Support i3
++ lib.optional i3GapsSupport i3-gaps;
postInstall = if i3Support
then ''wrapProgram $out/bin/polybar \
--prefix PATH : "${i3}/bin"
''
else if i3GapsSupport
then ''wrapProgram $out/bin/polybar \
--prefix PATH : "${i3-gaps}/bin"
''
else '''';
postInstall =
if i3Support then ''
wrapProgram $out/bin/polybar \
--prefix PATH : "${i3}/bin"
''
else if i3GapsSupport
then ''
wrapProgram $out/bin/polybar \
--prefix PATH : "${i3-gaps}/bin"
''
else "";
postFixup = ''
remove-references-to -t ${stdenv.cc} $out/bin/polybar
postFixup = ''
remove-references-to -t ${stdenv.cc} $out/bin/polybar
'';
meta = with lib; {
homepage = "https://polybar.github.io/";
changelog = "https://github.com/polybar/polybar/releases/tag/${version}";
description = "A fast and easy-to-use tool for creating status bars";
longDescription = ''
Polybar aims to help users build beautiful and highly customizable
status bars for their desktop environment, without the need of
having a black belt in shell scripting.
'';
meta = with lib; {
homepage = "https://polybar.github.io/";
changelog = "https://github.com/polybar/polybar/releases/tag/${version}";
description = "A fast and easy-to-use tool for creating status bars";
longDescription = ''
Polybar aims to help users build beautiful and highly customizable
status bars for their desktop environment, without the need of
having a black belt in shell scripting.
'';
license = licenses.mit;
maintainers = with maintainers; [ afldcr Br1ght0ne fortuneteller2k ];
platforms = platforms.linux;
};
license = licenses.mit;
maintainers = with maintainers; [ afldcr Br1ght0ne fortuneteller2k ];
platforms = platforms.linux;
};
}

View file

@ -26,9 +26,9 @@ buildPythonApplication rec {
sha256 = "sha256-6dLz4KXavXwnk5GizBH46d2EHMHPjRo0WnnUuVMtI1M=";
};
nativeBuildInputs = [ intltool wrapGAppsHook ];
nativeBuildInputs = [ makeWrapper intltool wrapGAppsHook ];
buildInputs = [ makeWrapper distutils_extra ];
buildInputs = [ distutils_extra ];
doCheck = false;

View file

@ -1,31 +1,30 @@
{ lib, stdenv, fetchFromGitHub, rustPlatform, cmake, pkg-config, openssl, oniguruma, CoreServices }:
{ lib, stdenv, fetchFromGitHub, rustPlatform, cmake, pkg-config, openssl, oniguruma, CoreServices, installShellFiles }:
rustPlatform.buildRustPackage rec {
pname = "zola";
version = "0.13.0";
version = "unstable-2021-07-10";
src = fetchFromGitHub {
owner = "getzola";
repo = pname;
rev = "v${version}";
sha256 = "sha256-yTvFQWmNxoB+CNZLHGmzJq7mKuOUxUqV4g8PWlOlRbM=";
# unstable because the latest release fails to build
rev = "8c3ce7d7fbc0d585d4cbf27598ac7dfe5acd96f1";
sha256 = "sha256-Tw3u96ZPb0yUXvtJ+rna6nnb0a+KfTEiR/PPEadFxDA=";
};
cargoSha256 = "sha256:19vijhcs1i02jhz68acil7psv3pcn0jzi1i4y2l05i4m3ayxivjf";
cargoSha256 = "sha256-mOO39LK7lQ5IxwMgfJpNwX/H5MZ3qKqfeDmnY8zXOx4=";
nativeBuildInputs = [ cmake pkg-config ];
nativeBuildInputs = [ cmake pkg-config installShellFiles];
buildInputs = [ openssl oniguruma ]
++ lib.optional stdenv.isDarwin CoreServices;
RUSTONIG_SYSTEM_LIBONIG = true;
postInstall = ''
install -D -m 444 completions/zola.bash \
-t $out/share/bash-completion/completions
install -D -m 444 completions/_zola \
-t $out/share/zsh/site-functions
install -D -m 444 completions/zola.fish \
-t $out/share/fish/vendor_completions.d
installShellCompletion --cmd zola \
--fish completions/zola.fish \
--zsh completions/_zola \
--bash completions/zola.bash
'';
meta = with lib; {
@ -33,5 +32,7 @@ rustPlatform.buildRustPackage rec {
homepage = "https://www.getzola.org/";
license = licenses.mit;
maintainers = with maintainers; [ dywedir _0x4A6F ];
# set because of unstable-* version
mainProgram = "zola";
};
}

View file

@ -170,7 +170,7 @@ buildStdenv.mkDerivation ({
xorg.pixman yasm libGLU libGL
xorg.xorgproto
xorg.libXdamage
xorg.libXext makeWrapper
xorg.libXext
libevent libstartup_notification /* cairo */
libpng jemalloc glib
nasm icu67 libvpx_1_8
@ -224,6 +224,7 @@ buildStdenv.mkDerivation ({
cargo
gnused
llvmPackages.llvm # llvm-objdump
makeWrapper
nodejs
perl
pkg-config

View file

@ -49,6 +49,10 @@ stdenv.mkDerivation rec {
libarchive
];
passthru = {
inherit gtk3;
};
meta = with lib; {
description = "Lightweight WebKitGTK web browser";
homepage = "https://www.midori-browser.org/";

View file

@ -16,6 +16,10 @@ stdenv.mkDerivation rec {
nativeBuildInputs = [ wrapGAppsHook pkg-config ];
buildInputs = [ gtk3 libsoup webkitgtk glib-networking gsettings-desktop-schemas ];
passthru = {
inherit gtk3;
};
makeFlags = [ "PREFIX=${placeholder "out"}" ];
meta = {

View file

@ -1,26 +1,20 @@
{ lib, buildGoModule, fetchFromGitHub, go-bindata, installShellFiles }:
{ lib, buildGoModule, fetchFromGitHub, installShellFiles }:
buildGoModule rec {
pname = "istioctl";
version = "1.9.4";
version = "1.10.2";
src = fetchFromGitHub {
owner = "istio";
repo = "istio";
rev = version;
sha256 = "sha256-QyiGDk9lA9Y49VpRNRGNbir/ql/Vzp6wsZ1LGodGTks=";
sha256 = "sha256-jzLffTAGlNeglzoJ3AG4d0pwrkXmT5ttJxr2z4MwP90=";
};
vendorSha256 = "sha256-N+7xajNkxuaC1yDTkPCg80bl2gRy2+Sa4Qq1A8zSGD8=";
vendorSha256 = "sha256-q/m1H6gcnn35ULi+e8fVuJg8eIXhzizGwXJmyf1Hfy4=";
doCheck = false;
nativeBuildInputs = [ go-bindata installShellFiles ];
# Bundle charts
preBuild = ''
patchShebangs operator/scripts
operator/scripts/create_assets_gen.sh
'';
nativeBuildInputs = [ installShellFiles ];
# Bundle release metadata
buildFlagsArray = let

View file

@ -0,0 +1,25 @@
{ lib
, buildGoModule
, fetchFromGitHub
}:
buildGoModule rec {
pname = "k0sctl";
version = "0.9.0";
src = fetchFromGitHub {
owner = "k0sproject";
repo = pname;
rev = "v${version}";
sha256 = "sha256-aW7x2XfeFU0z3lwPTsDHudHjdwTtfASgrbKGddVb6Rs=";
};
vendorSha256 = "sha256-bsXXWyeZXZLV6igEvyvPpS92FruGiLDx/5CCTKPe0EU=";
meta = with lib; {
description = "A bootstrapping and management tool for k0s clusters.";
homepage = "https://k0sproject.io/";
license = licenses.asl20;
maintainers = with maintainers; [ nickcao ];
};
}

View file

@ -44,8 +44,8 @@ with lib;
# Those pieces of software we entirely ignore upstream's handling of, and just
# make sure they're in the path if desired.
let
k3sVersion = "1.21.0+k3s1"; # k3s git tag
k3sCommit = "2705431d9645d128441c578309574cd262285ae6"; # k3s git commit at the above version
k3sVersion = "1.21.2+k3s1"; # k3s git tag
k3sCommit = "5a67e8dc473f8945e8e181f6f0b0dbbc387f6fca"; # k3s git commit at the above version
traefikChartVersion = "9.18.2"; # taken from ./scripts/download at TRAEFIK_VERSION
k3sRootVersion = "0.8.1"; # taken from ./scripts/download at ROOT_VERSION
@ -97,7 +97,7 @@ let
k3sRepo = fetchgit {
url = "https://github.com/k3s-io/k3s";
rev = "v${k3sVersion}";
sha256 = "sha256-xsXxf2ZYrkpOHlSFqTsHwWF3kChUjxWRjyDR3Dhg2ho=";
sha256 = "sha256-ZRkdHQ4RJ6XqE+DKE6wwpxetuKDG3k/4HaHyFxHev1U=";
};
# Stage 1 of the k3s build:
# Let's talk about how k3s is structured.

View file

@ -1,21 +1,19 @@
From 1891be119e298ef7c86347a6b74d40ff539cf06e Mon Sep 17 00:00:00 2001
From: Euan Kemp <euank@euank.com>
Date: Sun, 31 May 2020 19:02:37 -0700
Subject: [PATCH 2/2] Add nixpkgs patches
These patches let us re-use the upstream build scripts when building for
nix.
---
scripts/build | 20 ++++----------------
scripts/package-cli | 10 ++++++----
2 files changed, 10 insertions(+), 20 deletions(-)
-Subject: [PATCH 2/2] Add nixpkgs patches
-Original patch by: Euan Kemp <euank@euank.com>
-Adapted by: superherointj
-
-This patch allows us to re-use upstream build scripts when building for nix.
----
- 2 files changed:
- scripts/build
- scripts/package-cli
-
diff --git a/scripts/build b/scripts/build
index 4ca6333c4a..df15f7db1d 100755
index 2f3d1dc496..4f4e5aa897 100755
--- a/scripts/build
+++ b/scripts/build
@@ -12,7 +12,8 @@ PKG_CONTAINERD="github.com/containerd/containerd"
PKG_RANCHER_CONTAINERD="github.com/rancher/containerd"
PKG_K3S_CONTAINERD="github.com/k3s-io/containerd"
PKG_CRICTL="github.com/kubernetes-sigs/cri-tools"
-buildDate=$(date -u '+%Y-%m-%dT%H:%M:%SZ')
@ -24,7 +22,7 @@ index 4ca6333c4a..df15f7db1d 100755
VENDOR_PREFIX="${PKG}/vendor/"
VERSIONFLAGS="
@@ -92,17 +93,7 @@ cleanup() {
@@ -89,17 +90,7 @@ cleanup() {
}
INSTALLBIN=$(pwd)/bin
@ -43,23 +41,23 @@ index 4ca6333c4a..df15f7db1d 100755
# echo Building agent
# CGO_ENABLED=1 "${GO}" build -tags "$TAGS" -ldflags "$VERSIONFLAGS $LDFLAGS $STATIC" -o bin/k3s-agent ./cmd/agent/main.go
echo Building server
@@ -118,10 +109,7 @@ ln -s containerd ./bin/ctr
@@ -116,10 +107,7 @@ ln -s containerd ./bin/ctr
#CGO_ENABLED=1 "${GO}" build -tags "$TAGS" -ldflags "$VERSIONFLAGS $LDFLAGS $STATIC_SQLITE" -o bin/ctr ./cmd/ctr/main.go
# echo Building containerd
# CGO_ENABLED=0 "${GO}" build -tags "$TAGS" -ldflags "$VERSIONFLAGS $LDFLAGS $STATIC" -o bin/containerd ./cmd/containerd/
-echo Building runc
-rm -f ./vendor/github.com/opencontainers/runc/runc
-make EXTRA_LDFLAGS="-w -s" BUILDTAGS="$RUNC_TAGS" -C ./vendor/github.com/opencontainers/runc $RUNC_STATIC
-cp -f ./vendor/github.com/opencontainers/runc/runc ./bin/runc
-rm -f ./build/src/github.com/opencontainers/runc/runc
-make GOPATH=$(pwd)/build EXTRA_LDFLAGS="-w -s" BUILDTAGS="$RUNC_TAGS" -C ./build/src/github.com/opencontainers/runc $RUNC_STATIC
-cp -f ./build/src/github.com/opencontainers/runc/runc ./bin/runc
+# nixpkgs: we build runc separately
echo Building containerd-shim
rm -f ./vendor/github.com/containerd/containerd/bin/containerd-shim
diff --git a/scripts/package-cli b/scripts/package-cli
index d1aad638d9..90479b6fa1 100755
index ab4a6dac63..044b5587d0 100755
--- a/scripts/package-cli
+++ b/scripts/package-cli
@@ -49,15 +49,18 @@ fi
@@ -50,15 +50,17 @@ fi
CMD_NAME=dist/artifacts/k3s${BIN_SUFFIX}
@ -81,4 +79,3 @@ index d1aad638d9..90479b6fa1 100755
-./scripts/build-upload ${CMD_NAME} ${COMMIT}
+# nixpkgs: skip uploading
+# ./scripts/build-upload ${CMD_NAME} ${COMMIT}
+

View file

@ -0,0 +1,43 @@
{ lib, fetchFromGitHub, buildGoModule }:
buildGoModule rec {
pname = "temporal";
version = "1.10.5";
src = fetchFromGitHub {
owner = "temporalio";
repo = "temporal";
rev = "v${version}";
sha256 = "sha256-+rU/Tn3k/VmAgZl169tVZsRf5SL4bI9r3p1svVfKN2E=";
};
vendorSha256 = "sha256-jbQPhGfZPPxjYTSJ9wMLzQIOhAwxJZypRzqwL421RfM=";
# Errors:
# > === RUN TestNamespaceHandlerGlobalNamespaceDisabledSuite
# gocql: unable to dial control conn 127.0.0.1:9042: dial tcp 127.0.0.1:9042: connect: connection refused
doCheck = false;
installPhase = ''
runHook preInstall
mkdir -p $out/bin
install -Dm755 "$GOPATH/bin/cli" -T $out/bin/tctl
install -Dm755 "$GOPATH/bin/cassandra" -T $out/bin/temporal-cassandra
install -Dm755 "$GOPATH/bin/server" -T $out/bin/temporal-server
install -Dm755 "$GOPATH/bin/sql" -T $out/bin/temporal-sql
runHook postInstall
'';
doInstallCheck = true;
installCheckPhase = ''
$out/bin/tctl --version | grep ${version} > /dev/null
'';
meta = with lib; {
description = "A microservice orchestration platform which enables developers to build scalable applications without sacrificing productivity or reliability";
downloadPage = "https://github.com/temporalio/temporal";
homepage = "https://temporal.io";
license = licenses.mit;
maintainers = with maintainers; [ superherointj ];
};
}

View file

@ -27,11 +27,11 @@ with lib;
stdenv.mkDerivation rec {
pname = "mutt";
version = "2.1.0";
version = "2.1.1";
src = fetchurl {
url = "http://ftp.mutt.org/pub/mutt/${pname}-${version}.tar.gz";
sha256 = "0dqd6gg1wwhxjgdfl8j0kf93mw43kvd6wrwrzkscq2wjrsy5p0w0";
sha256 = "0jjjvqkqmpj55v111p1a1i2ry7mpd1bpphn1bhvlr18rgw7xdrja";
};
patches = optional smimeSupport (fetchpatch {

View file

@ -42,11 +42,11 @@ in
stdenv.mkDerivation rec {
pname = "mullvad-vpn";
version = "2021.3";
version = "2021.4";
src = fetchurl {
url = "https://github.com/mullvad/mullvadvpn-app/releases/download/${version}/MullvadVPN-${version}_amd64.deb";
sha256 = "sha256-f7ZCDZ/RN+Z0Szmnx8mbzhKZiRPjqXTsgClfWViFYzo=";
sha256 = "sha256-JnHG4qD6nH2l7RCYHmb7Uszn0mrMsFtMHQ3cKpXcq00=";
};
nativeBuildInputs = [

View file

@ -13,13 +13,13 @@ with lib;
stdenv.mkDerivation rec {
pname = "remmina";
version = "1.4.13";
version = "1.4.20";
src = fetchFromGitLab {
owner = "Remmina";
repo = "Remmina";
rev = "v${version}";
sha256 = "sha256-R+RfczAnt5R0YmXt5SmH8gOuWOH0LZ/70pOMDAXJgsE=";
sha256 = "sha256-m3DUaoOD8COxMwCVBTipzCAz3mqIdunEbVPjyjAl9So=";
};
nativeBuildInputs = [ cmake ninja pkg-config wrapGAppsHook ];

View file

@ -0,0 +1,40 @@
{ stdenv
, lib
, fetchFromGitLab
, makeWrapper
, networkmanager
, rofi-unwrapped
}:
stdenv.mkDerivation rec {
pname = "rofi-vpn";
version = "0.2.0";
src = fetchFromGitLab {
owner = "DamienCassou";
repo = pname;
rev = "v${version}";
sha256 = "04jcfb2jy8yyrk4mg68krwh3zb5qcyj1aq1bwk96fhybrq9k2hhp";
};
installPhase = ''
runHook preInstall
install -D --target-directory=$out/bin/ ./rofi-vpn
wrapProgram $out/bin/rofi-vpn \
--prefix PATH ":" ${lib.makeBinPath [ rofi-unwrapped networkmanager ]}
runHook postInstall
'';
nativeBuildInputs = [ makeWrapper ];
meta = with lib; {
description = "Rofi-based interface to enable VPN connections with NetworkManager";
homepage = "https://gitlab.com/DamienCassou/rofi-vpn";
license = licenses.gpl3Plus;
maintainers = with maintainers; [ DamienCassou ];
platforms = platforms.linux;
};
}

View file

@ -12,12 +12,13 @@
stdenv.mkDerivation rec {
pname = "termius";
version = "7.15.1";
version = "7.16.0";
src = fetchurl {
# Termius switched to using non-versioned downloads https://s3.amazonaws.com/termius.desktop.autoupdate/linux/Termius.deb
url = "https://web.archive.org/web/20210710174019/https://s3.amazonaws.com/termius.desktop.autoupdate/linux/Termius.deb";
sha256 = "16zc7ywz3hl1awkc4wk0rd94nsy55l98j2yzfdxcjiixky4gk8wn";
# find the latest version by
# curl https://deb.termius.com/dists/squeeze/main/binary-amd64/Packages
url = "https://deb.termius.com/pool/main/t/termius-app/termius-app_${version}_amd64.deb";
sha256 = "013nli61bk4x4hkhr6gcpzm1y8ycmqk3vr7q0w2dn2bfdwjg559v";
};
desktopItem = makeDesktopItem {

View file

@ -62,6 +62,7 @@ assert lib.assertMsg (!(stable && (sanitizeAddress || sanitizeThreads)))
"Only kicad-unstable(-small) supports address/thread sanitation";
assert lib.assertMsg (!(sanitizeAddress && sanitizeThreads))
"'sanitizeAddress' and 'sanitizeThreads' are mutually exclusive, use one.";
let
inherit (lib) optional optionals;
in
@ -81,14 +82,16 @@ stdenv.mkDerivation rec {
makeFlags = optionals (debug) [ "CFLAGS+=-Og" "CFLAGS+=-ggdb" ];
cmakeFlags = optionals (withScripting) [
cmakeFlags = optionals (stable && withScripting) [
"-DKICAD_SCRIPTING=ON"
"-DKICAD_SCRIPTING_MODULES=ON"
"-DKICAD_SCRIPTING_PYTHON3=ON"
"-DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON"
]
++ optional (!withScripting)
++ optionals (!withScripting) [
"-DKICAD_SCRIPTING=OFF"
"-DKICAD_SCRIPTING_WXPYTHON=OFF"
]
++ optional (withNgspice) "-DKICAD_SPICE=ON"
++ optional (!withOCE) "-DKICAD_USE_OCE=OFF"
++ optional (!withOCC) "-DKICAD_USE_OCC=OFF"
@ -152,7 +155,10 @@ stdenv.mkDerivation rec {
openssl
boost
]
++ optionals (withScripting) [ swig python wxPython ]
# unstable requires swig and python
# wxPython still optional
++ optionals (withScripting || (!stable)) [ swig python ]
++ optional (withScripting) wxPython
++ optional (withNgspice) libngspice
++ optional (withOCE) opencascade
++ optional (withOCC) opencascade-occt

View file

@ -27,23 +27,23 @@
};
"kicad-unstable" = {
kicadVersion = {
version = "2021-05-16";
version = "2021-07-12";
src = {
rev = "c33b2cfa8d16072b9d1bce558e443c4afa889d06";
sha256 = "1fvbxjpf880ikjqjhzj8wlxj0845gzrj1yv35rk7akbg4vl9ph72";
rev = "76a6177eb7fc2efe8b5fd522355e70c44a33b150";
sha256 = "1a94z29if73cnxjx75vkgasm339dasbrjwbg2zk1c35pfygnwrj5";
};
};
libVersion = {
version = "2021-05-16";
version = "2021-07-12";
libSources = {
i18n.rev = "e89d9a89bec59199c1ade56ee2556591412ab7b0";
i18n.sha256 = "04zaqyhj3qr4ymyd3k5vjpcna64j8klpsygcgjcv29s3rdi8glfl";
symbols.rev = "32de73ea01347a005790119eb4102c550815685c";
symbols.sha256 = "0gj10v06rkxlxngc40d1sfmlcagy5p7jfxid0lch4w0wxfjmks7z";
symbols.rev = "a6f64c12c9cdea4cda25cdd2c92708e7eb461d46";
symbols.sha256 = "0j6ng3ysqlxcggjyq3bsgqzg6j50if74q2dpyrdh5pckfqvvmv20";
templates.rev = "073d1941c428242a563dcb5301ff5c7479fe9c71";
templates.sha256 = "14p06m2zvlzzz2w74y83f2zml7mgv5dhy2nyfkpblanxawrzxv1x";
footprints.rev = "8fa36dfa3423d8777472e3475c1c2b0b2069624f";
footprints.sha256 = "138xfkr0prxw2djkwc1m4mlp9km99v12sivbqhm1jkq5yxngdbin";
footprints.rev = "1bacc7562198e2a2985df7f2fbcd7620b4fd0d46";
footprints.sha256 = "1h17q0xpl4k4klg3mafzsbl88wzrg73xjsh8llyni2jzs531545a";
packages3d.rev = "d8b7e8c56d535f4d7e46373bf24c754a8403da1f";
packages3d.sha256 = "0dh8ixg0w43wzj5h3164dz6l1vl4llwxhi3qcdgj1lgvrs28aywd";
};

View file

@ -9,16 +9,16 @@
rustPlatform.buildRustPackage rec {
pname = "delta";
version = "0.8.2";
version = "0.8.3";
src = fetchFromGitHub {
owner = "dandavison";
repo = pname;
rev = version;
sha256 = "sha256-ztRwUf73ioygkgmE9t/EKJPerJJscJYG4YNeNdzXH1g=";
sha256 = "sha256-lwdsl3dzqrIL1JoBFmldwsCvNCWUcTlgeoEoCvmlTCQ=";
};
cargoSha256 = "sha256-cCMHMGHfI0JyIL8+q2fyzamBGGHZx3mc2FpwTUa4S9Y=";
cargoSha256 = "sha256-7TvxkSJ3iWJnjD3Xe7WDXBNWIyl8U9XTCn9muUG1AmI=";
nativeBuildInputs = [ installShellFiles ];

View file

@ -20,10 +20,8 @@ in buildPythonApplication rec {
doCheck = false;
postFixup = ''
wrapQtApp $out/bin/git-cola
wrapQtApp $out/bin/git-dag
preFixup = ''
makeWrapperArgs+=("''${qtWrapperArgs[@]}")
'';
meta = with lib; {

View file

@ -2,8 +2,8 @@
}:
let
version = "1.2.1";
sha256 = "sha256-sm5SmckaXVjF3odqzYrbC46E1nPzQ9cuNJnNSAa7RWY=";
version = "1.2.2";
sha256 = "sha256-PhxYiTMXg8qRqwbrZaw9UH7pdvXTEnrd09TiYPepzmk=";
in stdenv.mkDerivation {
pname = "git-vendor";

View file

@ -13,14 +13,14 @@
rustPlatform.buildRustPackage rec {
pname = "pijul";
version = "1.0.0-alpha.50";
version = "1.0.0-alpha.52";
src = fetchCrate {
inherit version pname;
sha256 = "1hinnpbk83470sdif11v1wy1269jm7cpl0ycj2m89cxwk5g54cxg";
sha256 = "0m759zfh40kxswsv40z1l332lc8lfqppyv8188y4i6biqmgbx8f1";
};
cargoSha256 = "0bc116nyykq8ddy7lnhxibx6hphn344d0fs7fbl2paax9ahbh2g0";
cargoSha256 = "0f31hw2zjvhkhsb0ykvw4c3d0qy8zirgsaz7yr89hy01rs23bh8z";
cargoBuildFlags = lib.optional gitImportSupport "--features=git";
@ -36,6 +36,6 @@ rustPlatform.buildRustPackage rec {
description = "A distributed version control system";
homepage = "https://pijul.org";
license = with licenses; [ gpl2Plus ];
maintainers = with maintainers; [ gal_bolle dywedir ];
maintainers = with maintainers; [ gal_bolle dywedir fabianhjr ];
};
}

View file

@ -9,11 +9,11 @@
stdenv.mkDerivation rec {
pname = "gnome-user-docs";
version = "40.1";
version = "40.3";
src = fetchurl {
url = "mirror://gnome/sources/gnome-user-docs/${lib.versions.major version}/${pname}-${version}.tar.xz";
sha256 = "09ld9r29nz64s04fmp3b2wwldmfnwxp4w36dkh7mbz5pdd3z7fwk";
sha256 = "PeBXr6KsDebKcH9KdsKTLcvFVsHQ0cwCBWXcGHYpLM0=";
};
nativeBuildInputs = [

View file

@ -54,11 +54,11 @@
stdenv.mkDerivation rec {
pname = "gnome-boxes";
version = "40.2";
version = "40.3";
src = fetchurl {
url = "mirror://gnome/sources/${pname}/${lib.versions.major version}/${pname}-${version}.tar.xz";
sha256 = "hzN1mi2GpWNnWWpTSQRjO4HKqlxFpWNtsulZDHFK6Nk=";
sha256 = "//COj0Wkvm0zsKGpY6yzc5ujld6yFZDUOLsepvv3QFg=";
};
doCheck = true;

View file

@ -29,11 +29,11 @@
stdenv.mkDerivation rec {
pname = "gnome-maps";
version = "40.2";
version = "40.3";
src = fetchurl {
url = "mirror://gnome/sources/${pname}/${lib.versions.major version}/${pname}-${version}.tar.xz";
sha256 = "sha256-g+gVAFTQxLWmPJoJvyx9+YmuaQ7Kwb5r97ExKqpjm9Q=";
sha256 = "sha256-p58Fz+u1UMUanGKwgDk2PXDdo90RP+cTR6lCW9cYaIk=";
};
doCheck = true;

View file

@ -27,11 +27,11 @@
stdenv.mkDerivation rec {
pname = "gnome-disk-utility";
version = "40.1";
version = "40.2";
src = fetchurl {
url = "mirror://gnome/sources/gnome-disk-utility/${lib.versions.major version}/${pname}-${version}.tar.xz";
sha256 = "sha256-KkuZrBHKIzlLKMVYS56WKE6MWk2mXPBiB95U9Csf8UE=";
sha256 = "sha256-ztES6qh9j/ohOv1NC62TnPp662cbeySIWaHchNb1Iec=";
};
nativeBuildInputs = [

View file

@ -43,11 +43,11 @@ in
stdenv.mkDerivation rec {
pname = "gnome-software";
version = "40.2";
version = "40.3";
src = fetchurl {
url = "mirror://gnome/sources/gnome-software/${lib.versions.major version}/${pname}-${version}.tar.xz";
sha256 = "y9HdKguvw/U93kIAPEpKA3RsuNZNxdJ+uNvmc27nJ5Y=";
sha256 = "y39TbLCfWCyQdVyQl08+g9/5U56it8CWibtOCsP/yF8=";
};
patches = [

View file

@ -2,11 +2,11 @@
stdenv.mkDerivation rec {
pname = "gnome-devel-docs";
version = "40.0";
version = "40.3";
src = fetchurl {
url = "mirror://gnome/sources/gnome-devel-docs/${lib.versions.major version}/${pname}-${version}.tar.xz";
sha256 = "0zqp01ks8m3s6jn5xqd05rw4fwbvxy5qvcfg9g50b2ar2j7v1ar8";
sha256 = "v+jyHcqx70sRVlThchK8sDtqEAgzQIA/SW8ia0oILPY=";
};
passthru = {

View file

@ -1,21 +1,22 @@
{ gsmakeDerivation
, cairo
, fetchurl
, fetchzip
, base, gui
, xlibsWrapper
, freetype
, pkg-config
, libXmu
}:
let
gsmakeDerivation rec {
pname = "gnustep-back";
version = "0.28.0";
in
gsmakeDerivation {
name = "gnustep-back-${version}";
src = fetchurl {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${version}.tar.gz";
sha256 = "1ynd27zwga17mp2qlym90k2xsypdvz24w6gyy2rfvmv0gkvlgrjr";
src = fetchzip {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/${pname}-${version}.tar.gz";
sha256 = "1nkmk7qli2ld6gw9h4kqa199i8q2m9x9d46idxh1k0rb41kf3i2c";
};
nativeBuildInputs = [ pkg-config ];
buildInputs = [ cairo base gui freetype xlibsWrapper libXmu ];
meta = {

View file

@ -1,7 +1,7 @@
{ aspell, audiofile
, gsmakeDerivation
, cups
, fetchurl, fetchpatch
, fetchzip
, gmp, gnutls
, libffi, binutils-unwrapped
, libjpeg, libtiff, libpng, giflib
@ -11,14 +11,12 @@
, pkg-config, portaudio
, libiberty
}:
let
version = "1.27.0";
in
gsmakeDerivation {
name = "gnustep-base-${version}";
src = fetchurl {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-base-${version}.tar.gz";
sha256 = "10xjrv5d443wzll6lf9y65p6v9kvx7xxklhsm1j05y93vwgzl0w8";
gsmakeDerivation rec {
pname = "gnustep-base";
version = "1.28.0";
src = fetchzip {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/${pname}-${version}.tar.gz";
sha256 = "05vjz19v1w7yb7hm8qrc41bqh6xd8in7sgg2p0h1vldyyaa5sh90";
};
nativeBuildInputs = [ pkg-config ];
propagatedBuildInputs = [
@ -35,13 +33,10 @@ gsmakeDerivation {
];
patches = [
./fixup-paths.patch
(fetchpatch { # for icu68 compatibility, remove with next update(?)
url = "https://github.com/gnustep/libs-base/commit/06fa7792a51cb970e5d010a393cb88eb127830d7.patch";
sha256 = "150n1sa34av9ywc04j36jvj7ic9x6pgr123rbn2mx5fj76q23852";
})
];
meta = {
description = "An implementation of AppKit and Foundation libraries of OPENSTEP and Cocoa";
changelog = "https://github.com/gnustep/libs-base/releases/tag/base-${builtins.replaceStrings [ "." ] [ "_" ] version}";
};
}

View file

@ -1,13 +1,11 @@
{ fetchurl, base, back, gsmakeDerivation, gui }:
let
version = "1.2.26";
in
gsmakeDerivation {
name = "gorm-${version}";
{ fetchzip, base, back, gsmakeDerivation, gui }:
gsmakeDerivation rec {
pname = "gorm";
version = "1.2.28";
src = fetchurl {
src = fetchzip {
url = "ftp://ftp.gnustep.org/pub/gnustep/dev-apps/gorm-${version}.tar.gz";
sha256 = "063f8rlz8py931hfrh95jxvr68bzs33bvckfigzbagp73n892jnw";
sha256 = "0n92xr16w0wnwfzh7i9xhsly61pyz9l9f615dp324a6r3444hn0z";
};
buildInputs = [ base back gui ];

View file

@ -1,22 +1,19 @@
{ gsmakeDerivation, fetchurl, fetchpatch, base }:
let
version = "0.28.0";
in
gsmakeDerivation {
name = "gnustep-gui-${version}";
src = fetchurl {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-gui-${version}.tar.gz";
sha256 = "05wk8kbl75qj0jgawgyv9sp98wsgz5vl1s0d51sads0p0kk2sv8z";
{ gsmakeDerivation, fetchzip, base }:
gsmakeDerivation rec {
version = "0.29.0";
pname = "gnustep-gui";
src = fetchzip {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/${pname}-${version}.tar.gz";
sha256 = "0x6n48p178r4zd8f4sqjfqd6rp49w00wr59w19lpwlmrdv7bn538";
};
buildInputs = [ base ];
patches = [
./fixup-all.patch
(fetchpatch { # for icu68 compatibility, remove with next update(?)
url = "https://github.com/gnustep/libs-gui/commit/05572b2d01713f5caf07f334f17ab639be8a1cff.patch";
sha256 = "04z287dk8jf3hdwzk8bpnv49qai2dcdlh824yc9bczq291pjy2xc";
})
];
meta = {
description = "A GUI class library of GNUstep";
changelog = "https://github.com/gnustep/libs-gui/releases/tag/gui-${builtins.replaceStrings [ "." ] [ "_" ] version}";
};
}

View file

@ -1,12 +1,8 @@
{ lib, stdenv, fetchurl, clang, which, libobjc }:
let
version = "2.9.0";
in
stdenv.mkDerivation {
stdenv.mkDerivation rec {
pname = "gnustep-make";
inherit version;
version = "2.9.0";
src = fetchurl {
url = "ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-make-${version}.tar.gz";
@ -32,6 +28,7 @@ stdenv.mkDerivation {
meta = {
description = "A build manager for GNUstep";
homepage = "http://gnustep.org/";
changelog = "https://github.com/gnustep/tools-make/releases/tag/make-${builtins.replaceStrings [ "." ] [ "_" ] version}";
license = lib.licenses.lgpl2Plus;
maintainers = with lib.maintainers; [ ashalkhakov matthewbauer ];
platforms = lib.platforms.unix;

View file

@ -2,20 +2,20 @@
rustPlatform.buildRustPackage rec {
pname = "jrsonnet";
version = "0.4.1";
version = "0.4.2";
src = fetchFromGitHub {
rev = "v${version}";
owner = "CertainLach";
repo = "jrsonnet";
sha256 = "sha256-vDZpb5Z8XOVc6EJ1Nul07kC8ppqcGzKPb4DEarqq2yg=";
sha256 = "sha256-OX+iJJ3vdCsWWr8x31psV9Vne6xWDZnJc83NbJqMK1A=";
};
postInstall = ''
ln -s $out/bin/jrsonnet $out/bin/jsonnet
'';
cargoSha256 = "sha256-SR3m2meW8mTaxiYgeY/m7HFPrHGVtium/VRU6vWKxys=";
cargoSha256 = "sha256-eFfAU9Q3nYAJK+kKP1Y6ONjOIfkuYTlelrFrEW9IJ8c=";
meta = {
description = "Purely-functional configuration language that helps you define JSON data";

View file

@ -1,24 +1,65 @@
{ lib, stdenv, fetchFromGitHub, fetchpatch, unzip, cmake, python }:
{ lib
, cmake
, fetchFromGitHub
, fetchpatch
, lz4
, pkg-config
, python3
, stdenv
, unzip
, enablePython ? false
}:
stdenv.mkDerivation {
name = "flann-1.9.1";
stdenv.mkDerivation rec {
pname = "flann";
version = "1.9.1";
src = fetchFromGitHub {
owner = "mariusmuja";
owner = "flann-lib";
repo = "flann";
rev = "1.9.1";
rev = version;
sha256 = "13lg9nazj5s9a41j61vbijy04v6839i67lqd925xmxsbybf36gjc";
};
patches = [
# Upstream issue: https://github.com/mariusmuja/flann/issues/369
# Patch HDF5_INCLUDE_DIR -> HDF_INCLUDE_DIRS.
(fetchpatch {
url = "https://raw.githubusercontent.com/buildroot/buildroot/45a39b3e2ba42b72d19bfcef30db1b8da9ead51a/package/flann/0001-src-cpp-fix-cmake-3.11-build.patch";
sha256 = "1gmj06cmnqvwxx649mxaivd35727wj6w7710zbcmmgmsnyfh2js4";
url = "https://salsa.debian.org/science-team/flann/-/raw/debian/1.9.1+dfsg-9/debian/patches/0001-Updated-fix-cmake-hdf5.patch";
sha256 = "yM1ONU4mu6lctttM5YcSTg8F344TNUJXwjxXLqzr5Pk=";
})
# Patch no-source library workaround that breaks on CMake > 3.11.
(fetchpatch {
url = "https://salsa.debian.org/science-team/flann/-/raw/debian/1.9.1+dfsg-9/debian/patches/0001-src-cpp-fix-cmake-3.11-build.patch";
sha256 = "REsBnbe6vlrZ+iCcw43kR5wy2o6q10RM73xjW5kBsr4=";
})
# Avoid the bundled version of LZ4 and instead use the system one.
(fetchpatch {
url = "https://salsa.debian.org/science-team/flann/-/raw/debian/1.9.1+dfsg-9/debian/patches/0003-Use-system-version-of-liblz4.patch";
sha256 = "xi+GyFn9PEjLgbJeAIEmsbp7ut9G9KIBkVulyT3nfsg=";
})
# Fix LZ4 string separator issue, see: https://github.com/flann-lib/flann/pull/480
(fetchpatch {
url = "https://github.com/flann-lib/flann/commit/25eb56ec78472bd419a121c6905095a793cf8992.patch";
sha256 = "qt8h576Gn8uR7+T9u9bEBIRz6e6AoTKpa1JfdZVvW9s=";
})
];
nativeBuildInputs = [ unzip cmake python ];
cmakeFlags = [
"-DBUILD_EXAMPLES:BOOL=OFF"
"-DBUILD_TESTS:BOOL=OFF"
"-DBUILD_MATLAB_BINDINGS:BOOL=OFF"
"-DBUILD_PYTHON_BINDINGS:BOOL=${if enablePython then "ON" else "OFF"}"
];
nativeBuildInputs = [
cmake
pkg-config
unzip
];
propagatedBuildInputs = [ lz4 ];
buildInputs = lib.optionals enablePython [ python3 ];
meta = {
homepage = "http://people.cs.ubc.ca/~mariusm/flann/";

View file

@ -15,10 +15,19 @@ mkDerivation {
url = "https://invent.kde.org/frameworks/kimageformats/-/commit/bf3f94da766d66a0470ab744dbe1ced4697b572d.diff";
sha256 = "18d67l5kj9sv88jdpi061k9rl3adzkx9l51ng7saylrkfddwc3ig";
})
(fetchpatch { # included in kimageformats >= 5.82
name = "CVE-2021-36083.patch";
url = "https://invent.kde.org/frameworks/kimageformats/-/commit/297ed9a2fe339bfe36916b9fce628c3242e5be0f.diff";
sha256 = "16axaljgaar0j5796x1mjps93y92393x8zywh3nzw7rm9w2qxzml";
})
];
nativeBuildInputs = [ extra-cmake-modules ];
buildInputs = [ karchive openexr libavif qtbase ];
outputs = [ "out" ]; # plugins only
CXXFLAGS = "-I${getDev ilmbase}/include/OpenEXR";
meta = with lib; {
broken = versionOlder qtbase.version "5.14";
};
}

View file

@ -1,32 +1,32 @@
{ lib, stdenv, fetchurl, alsa-lib, pkg-config, libjack2
, AudioUnit, AudioToolbox, CoreAudio, CoreServices, Carbon }:
{ lib
, stdenv
, fetchurl
, alsa-lib
, pkg-config
, AudioUnit
, AudioToolbox
, CoreAudio
, CoreServices
, Carbon }:
stdenv.mkDerivation {
name = "portaudio-190600-20161030";
stdenv.mkDerivation rec {
pname = "portaudio";
version = "190700_20210406";
src = fetchurl {
url = "http://www.portaudio.com/archives/pa_stable_v190600_20161030.tgz";
sha256 = "04qmin6nj144b8qb9kkd9a52xfvm0qdgm8bg8jbl7s3frmyiv8pm";
url = "http://files.portaudio.com/archives/pa_stable_v${version}.tgz";
sha256 = "1vrdrd42jsnffh6rq8ap2c6fr4g9fcld89z649fs06bwqx1bzvs7";
};
nativeBuildInputs = [ pkg-config ];
buildInputs = [ libjack2 ]
++ lib.optional (!stdenv.isDarwin) alsa-lib;
buildInputs = lib.optional (!stdenv.isDarwin) alsa-lib;
configureFlags = [ "--disable-mac-universal" "--enable-cxx" ];
NIX_CFLAGS_COMPILE = lib.optionalString stdenv.cc.isClang "-Wno-error=nullability-inferred-on-nested-type -Wno-error=nullability-completeness-on-arrays";
NIX_CFLAGS_COMPILE = lib.optionalString stdenv.cc.isClang "-Wno-error=implicit-const-int-float-conversion -Wno-error=nullability-completeness-on-arrays";
propagatedBuildInputs = lib.optionals stdenv.isDarwin [ AudioUnit AudioToolbox CoreAudio CoreServices Carbon ];
patchPhase = lib.optionalString stdenv.isDarwin ''
sed -i '50 i\
#include <CoreAudio/AudioHardware.h>\
#include <CoreAudio/AudioHardwareBase.h>\
#include <CoreAudio/AudioHardwareDeprecated.h>' \
include/pa_mac_core.h
'';
# not sure why, but all the headers seem to be installed by the make install
installPhase = ''
make install

View file

@ -202,6 +202,15 @@ let
'';
};
postcss-cli = super.postcss-cli.override {
nativeBuildInputs = [ pkgs.makeWrapper ];
postInstall = ''
wrapProgram "$out/bin/postcss" \
--prefix NODE_PATH : ${self.postcss}/lib/node_modules
'';
meta.mainProgram = "postcss";
};
pulp = super.pulp.override {
# tries to install purescript
npmFlags = "--ignore-scripts";

View file

@ -186,6 +186,7 @@
, "pm2"
, "pnpm"
, "poor-mans-t-sql-formatter-cli"
, "postcss"
, "postcss-cli"
, "prettier"
, "prettier-plugin-toml"

File diff suppressed because it is too large Load diff

View file

@ -1,21 +1,23 @@
{ lib
, buildPythonPackage
, cloudscraper
, fetchFromGitHub
, requests
}:
buildPythonPackage rec {
pname = "garminconnect-ha";
version = "0.1.6";
version = "0.1.13";
src = fetchFromGitHub {
owner = "cyberjunky";
repo = "python-garminconnect-ha";
rev = version;
sha256 = "0ngas6zikhpja1cdkq64m9pjm4b0z3qaj9g3x88mggy60jsxm1d7";
sha256 = "sha256-1O1EcG5FvpwUvI8rwcdlQLzEEStyFAwvmkaL97u6hZ4=";
};
propagatedBuildInputs = [
cloudscraper
requests
];

View file

@ -23,6 +23,5 @@ buildPythonPackage rec {
homepage = "https://geographiclib.sourceforge.io";
description = "Algorithms for geodesics (Karney, 2013) for solving the direct and inverse problems for an ellipsoid of revolution";
license = licenses.mit;
maintainers = with maintainers; [ va1entin ];
};
}

View file

@ -0,0 +1,35 @@
{ buildPythonPackage
, fetchPypi
, lib
, appdirs
, http-ece
, oscrypto
, protobuf
}:
buildPythonPackage rec {
pname = "push-receiver";
version = "0.1.1";
src = fetchPypi {
inherit version;
pname = "push_receiver";
sha256 = "sha256-Tknmra39QfA+OgrRxzKDLbkPucW8zgdHqz5FGQnzYOw=";
};
propagatedBuildInputs = [
appdirs # required for running the bundled example
http-ece # required for listening for new message
oscrypto
protobuf
];
pythonImportsCheck = [ "push_receiver" ];
meta = with lib; {
homepage = "https://github.com/Francesco149/push_receiver";
description = "Subscribe to GCM/FCM and receive notifications";
license = licenses.unlicense;
maintainers = with maintainers; [ veehaitch ];
};
}

View file

@ -37,7 +37,6 @@ buildPythonPackage rec {
pythonImportsCheck = [ "nacl" ];
meta = with lib; {
maintainers = with maintainers; [ va1entin ];
description = "Python binding to the Networking and Cryptography (NaCl) library";
homepage = "https://github.com/pyca/pynacl/";
license = licenses.asl20;

View file

@ -8,14 +8,14 @@
buildPythonPackage rec {
pname = "pyupgrade";
version = "2.20.0";
version = "2.21.0";
disabled = isPy27;
src = fetchFromGitHub {
owner = "asottile";
repo = pname;
rev = "v${version}";
sha256 = "sha256-Wq15JU6sbXPZSk/vAX6fTuc3vxZeRy9dSCNGGv2utY4=";
sha256 = "sha256-W0zaziTkXReEuLhcd6jEHH/dS1YSZNiWDro+tTH7Ftg=";
};
checkInputs = [ pytestCheckHook ];

View file

@ -7,18 +7,19 @@
buildGoModule rec {
pname = "buf";
version = "0.43.2";
version = "0.44.0";
src = fetchFromGitHub {
owner = "bufbuild";
repo = pname;
rev = "v${version}";
sha256 = "sha256-Go0wLcJrxMgB67WlAI7TwX2UU2sQ/yfmC0h2igOkjc4=";
sha256 = "sha256-ZcZvsFw/l/7N8Yb4HG6w96ce9c4g4iiG/TcDoj8RYmA=";
leaveDotGit = true; # Required by TestWorkspaceGit
};
vendorSha256 = "sha256-HT0dsGniBoQW2Y7MhahDeFvE0nCASoPdzHETju0JuRY=";
vendorSha256 = "sha256-g0wrHPeHFOL6KB0SUgBy2WK54Kttiks4cuYg8jf3N9g=";
patches = [
# Skip a test that requires networking to be available to work.
./skip_test_requiring_network.patch
];

View file

@ -3,9 +3,9 @@
buildGoModule rec {
pname = "drone.io${lib.optionalString (!enableUnfree) "-oss"}";
version = "2.0.0";
version = "2.0.3";
vendorSha256 = "sha256-cnbZSnHU+ORm7/dV+U9NfM18Zrzi24vf7qITPJsusU8=";
vendorSha256 = "sha256-3qTH/p0l6Ke1F9SUcvK2diqZooOMnlXYO1PHLdJJ8PM=";
doCheck = false;
@ -13,7 +13,7 @@ buildGoModule rec {
owner = "drone";
repo = "drone";
rev = "v${version}";
sha256 = "sha256-BxwCJf3uY34rqegZJ6H/zb63orELhq41trOgzGXQe80=";
sha256 = "sha256-MKV5kor+Wm9cuIFFcjSNyCgVKtY+/B9sgBOXMMRvMPI=";
};
preBuild = ''

View file

@ -2,12 +2,12 @@
stdenv.mkDerivation {
pname = "gnulib";
version = "20200223";
version = "20210702";
src = fetchgit {
url = "https://git.savannah.gnu.org/r/gnulib.git";
rev = "292fd5d6ff5ecce81ec3c648f353732a9ece83c0";
sha256 = "0hkg3nql8nsll0vrqk4ifda0v4kpi67xz42r8daqsql6c4rciqnw";
rev = "901694b904cd861adc2529b2e05a3fb33f9b534f";
sha256 = "1f5znlv2wjziglw9vlygdgm4jfbsz34h2dz6w4h90bl4hm0ycb1w";
};
postPatch = ''

View file

@ -2,13 +2,13 @@
buildGoModule rec {
pname = "go-task";
version = "3.5.0";
version = "3.6.0";
src = fetchFromGitHub {
owner = pname;
repo = "task";
rev = "v${version}";
sha256 = "sha256-oXr98guqEvE/rpRJF5NMjQYZtzbrh1F/neXYbLaCGUg=";
sha256 = "sha256-3DTjxcMxgaTMunctHaCgOX5/P85lJDRin6RpMuv9Rfg=";
};
vendorSha256 = "sha256-bsVzV2M31BA7X6aq8na7v56uGYgne4OwR5kz/utmQHI=";

View file

@ -1,28 +1,26 @@
{ lib, stdenv, graalvm11-ce, babashka, fetchurl, fetchFromGitHub }:
{ lib, stdenv, graalvm11-ce, babashka, fetchurl, fetchFromGitHub, clojure }:
stdenv.mkDerivation rec {
pname = "clojure-lsp";
version = "2021.06.01-16.19.44";
version = "2021.07.12-12.30.59";
src = fetchFromGitHub {
owner = pname;
repo = pname;
rev = version;
sha256 = "sha256-dACvjm+uEVWotoeYhA4gCenKeprpF2dI0PGNRAVALao=";
sha256 = "0iky3yh548xn28285x8gnjzc00f3i2b415wb2dhd9p9y2bgzhkld";
};
jar = fetchurl {
url = "https://github.com/clojure-lsp/clojure-lsp/releases/download/${version}/clojure-lsp.jar";
sha256 = "sha256-V12rSYv/Yu12ZpLSROd+4pyGiEGRfJ7lmRqCeikcQ5Q=";
sha256 = "02k1k0slh1lm7k43d52jvgl0fdyp9gcr8csbr6yi71qbhy0axrmp";
};
GRAALVM_HOME = graalvm11-ce;
CLOJURE_LSP_JAR = jar;
CLOJURE_LSP_XMX = "-J-Xmx4g";
patches = lib.optionals stdenv.isDarwin [ ./disable-check-toolchain.patch ];
buildInputs = [ graalvm11-ce ];
buildInputs = [ graalvm11-ce clojure ];
buildPhase = with lib; ''
runHook preBuild

View file

@ -1,12 +0,0 @@
diff --git a/graalvm/native-unix-compile.sh b/graalvm/native-unix-compile.sh
index ec0e49f..e19a120 100755
--- a/graalvm/native-unix-compile.sh
+++ b/graalvm/native-unix-compile.sh
@@ -17,6 +17,7 @@ CLOJURE_LSP_XMX=${CLOJURE_LSP_XMX:-"-J-Xmx4g"}
args=("-jar" "$CLOJURE_LSP_JAR"
"-H:+ReportExceptionStackTraces"
+ "-H:-CheckToolchain"
"--verbose"
"--no-fallback"
"--native-image-info"

View file

@ -7,14 +7,14 @@
rustPlatform.buildRustPackage rec {
pname = "rust-analyzer-unwrapped";
version = "2021-07-05";
cargoSha256 = "sha256-HmvvDHi33JAYXON98mbb+MfmJizOL4cdTbc3QDtPkZo=";
version = "2021-07-12";
cargoSha256 = "sha256-wlo3GlB9OhyVXys5pHAqWPKHWZHzNjcQ0hiaYnp2SUc=";
src = fetchFromGitHub {
owner = "rust-analyzer";
repo = "rust-analyzer";
rev = version;
sha256 = "sha256-7pH38U+HMNPuO1BFP5kPTJoxGWTewRUoLrc9NXDdK2M=";
sha256 = "sha256-nd8valnltycywxBObSVFbt4fySEYQknFsFf5ZnEbgOk=";
};
buildAndTestSubdir = "crates/rust-analyzer";

View file

@ -2,8 +2,8 @@
buildGoPackage rec {
pname = "vndr-unstable";
version = "2018-06-23";
rev = "81cb8916aad3c8d06193f008dba3e16f82851f52";
version = "2020-07-28";
rev = "f12b881cb8f081a5058408a58f429b9014833fc6";
goPackagePath = "github.com/LK4D4/vndr";
excludedPackages = "test";
@ -12,13 +12,13 @@ buildGoPackage rec {
inherit rev;
owner = "LK4D4";
repo = "vndr";
sha256 = "0c0k0cic35d1141az72gbf8r0vm9zaq4xi8v1sqpxhlzf28m297l";
sha256 = "04za4x8p8qzwjlp4i0j0gsb4xx0x9f4yp3ab0b97r50pah1ac2g3";
};
meta = {
description = "Stupid golang vendoring tool, inspired by docker vendor script";
homepage = "https://github.com/LK4D4/vndr";
maintainers = with lib.maintainers; [ vdemeester ];
maintainers = with lib.maintainers; [ vdemeester rvolosatovs ];
license = lib.licenses.asl20;
};
}

View file

@ -17,15 +17,15 @@
rustPlatform.buildRustPackage rec {
pname = "deno";
version = "1.11.5";
version = "1.12.0";
src = fetchFromGitHub {
owner = "denoland";
repo = pname;
rev = "v${version}";
sha256 = "sha256-DrmdIWaWkOQeghhsnowkdgPA+z4+L2MTs7DNyeqDi5w=";
sha256 = "sha256-heri1vb0KykEqef8uBfEazPzTgz8jjYSUB0dpPiDJ7g=";
};
cargoSha256 = "sha256-E0qcy+/o8q9dv3KJjNkI+VNa5MBWzwla2Dz8niwvPCw=";
cargoSha256 = "sha256-v/yafzfAy1SBjeFwaMEWVTGJH3Fv1CYYU70TA7AUUsk=";
# Install completions post-install
nativeBuildInputs = [ installShellFiles ];

View file

@ -11,11 +11,11 @@ let
};
in
fetch_librusty_v8 {
version = "0.22.3";
version = "0.25.3";
shas = {
x86_64-linux = "sha256-RS1fUuTm6zhln67ank6Sit9nhGyKij1UsJ77ezffCh8=";
aarch64-linux = "sha256-E7SSFYODO8diPmEvpJyzAcltrh7YUXhWlqsRytFRmtA=";
x86_64-darwin = "sha256-29XTC7RoUDNJq46WkLCQT1vCuv4dzBrp8no6vVCsQ2g=";
aarch64-darwin = "sha256-UZHhKUjWQGklH26z2Kc2J7VwlV83LWl5n3YZt5ryKrY=";
x86_64-linux = "sha256-Z3lEJT3QVhP8PoDiM6Fw0sm5rXWvasBqASBO5tZA5zM=";
aarch64-linux = "sha256-pbcd1zV7IIEqCIp8vsRiO0KBGrOv52SvMZ4gthxuN/I=";
x86_64-darwin = "sha256-BwYdgd1kK8EQFfDc9RgtNvwvx7agt9hYNVmBGwHoqz0=";
aarch64-darwin = "sha256-/RHeNuR7VjhfwdjZXWMMX3UnweAjJblSCUq9eIwGvWc=";
};
}

View file

@ -6,7 +6,7 @@ buildEnv {
name = "zeroad-${zeroad-unwrapped.version}";
inherit (zeroad-unwrapped) meta;
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ makeWrapper ];
paths = [ zeroad-unwrapped zeroad-data ];

View file

@ -2,12 +2,12 @@
"x86_64-linux": {
"alpha": {
"experimental": {
"name": "factorio_alpha_x64-1.1.35.tar.xz",
"name": "factorio_alpha_x64-1.1.36.tar.xz",
"needsAuth": true,
"sha256": "1svjjpyffdrmll1b3icsrikfi4v2r1z6j7iqq0v36iq0zw7vw3bk",
"sha256": "1x9a2lv6zbqawqlxg8bcbx04hjy0pq40macfa4sqi8w6h14wgww8",
"tarDirectory": "x64",
"url": "https://factorio.com/get-download/1.1.35/alpha/linux64",
"version": "1.1.35"
"url": "https://factorio.com/get-download/1.1.36/alpha/linux64",
"version": "1.1.36"
},
"stable": {
"name": "factorio_alpha_x64-1.1.35.tar.xz",
@ -38,12 +38,12 @@
},
"headless": {
"experimental": {
"name": "factorio_headless_x64-1.1.35.tar.xz",
"name": "factorio_headless_x64-1.1.36.tar.xz",
"needsAuth": false,
"sha256": "0xpiw89ad6cfpc576g5jpsyzwjncs3jrx01056p52wj01747fm94",
"sha256": "1s8g030xp5nrlmnn21frrd8n4nd7jjmb5hbpj1vhxjrk6vpijh24",
"tarDirectory": "x64",
"url": "https://factorio.com/get-download/1.1.35/headless/linux64",
"version": "1.1.35"
"url": "https://factorio.com/get-download/1.1.36/headless/linux64",
"version": "1.1.36"
},
"stable": {
"name": "factorio_headless_x64-1.1.35.tar.xz",

View file

@ -8,7 +8,7 @@ buildEnv {
(callPackage ./game.nix {})
];
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ makeWrapper ];
postBuild = ''
mkdir -p $out/bin
makeWrapper $out/games/flare $out/bin/flare --run "cd $out/share/games/flare"

View file

@ -12,7 +12,7 @@ in buildEnv {
pathsToLink = [ "/opt" ];
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ makeWrapper ];
# so we can launch sp from mp game and vice versa
postBuild = ''

View file

@ -18,7 +18,7 @@ buildGoModule rec {
# package does not contain any tests as of v0.2.1
doCheck = false;
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ makeWrapper ];
postInstall = ''
wrapProgram $out/bin/uchess --suffix PATH : ${stockfish}/bin
'';

View file

@ -65,12 +65,12 @@ final: prev:
ale = buildVimPluginFrom2Nix {
pname = "ale";
version = "2021-07-10";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "dense-analysis";
repo = "ale";
rev = "9a9fd24b17db32e452609e68e6a9729461625720";
sha256 = "1q9cpnl110shnxvgrmq4zjw5ikwd4bli39wxcqmcd45hq2fcwsdf";
rev = "d098124e59ba38b0fcd97b41eec4a6de81bc09ab";
sha256 = "1q524z5xaxshgwwfwbzgad7d6ni9f1ldk2f67chnywd0v8c6qr7f";
};
meta.homepage = "https://github.com/dense-analysis/ale/";
};
@ -413,12 +413,12 @@ final: prev:
chadtree = buildVimPluginFrom2Nix {
pname = "chadtree";
version = "2021-07-11";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "ms-jpq";
repo = "chadtree";
rev = "4bd6e799c8b6762abdb86d298e60824ed2f10afa";
sha256 = "131sb4dfq5h99n1qqsxm1vb7j2iijgpb9lcixsns2xafb31341kp";
rev = "fca28c101eba19beffb9ce3018f1523f192adbfc";
sha256 = "1fzlhjnr8yvzcy8r1sj54app0gfvjcawsg10kj213z4k69z9v7ri";
};
meta.homepage = "https://github.com/ms-jpq/chadtree/";
};
@ -966,12 +966,12 @@ final: prev:
defx-nvim = buildVimPluginFrom2Nix {
pname = "defx-nvim";
version = "2021-07-09";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "Shougo";
repo = "defx.nvim";
rev = "c27b4c93fd117dcfec24894d30aeca0acdfb61c9";
sha256 = "1q7l3iy90sy02bgrl3bkxk9591h05hha5icyhj48g8rh57s5rxhx";
rev = "0cd4c51246206c9c1e893dd4418e35d17ed67d52";
sha256 = "1wqmm96waqm11vkin5xzklvmr9z9j3iajvk1bmk9zxdffng6b2hv";
};
meta.homepage = "https://github.com/Shougo/defx.nvim/";
};
@ -1014,24 +1014,24 @@ final: prev:
denite-nvim = buildVimPluginFrom2Nix {
pname = "denite-nvim";
version = "2021-07-10";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "Shougo";
repo = "denite.nvim";
rev = "11960af1b5705edbabdb8083439123035007ce4e";
sha256 = "1qvnrfrkckq0gbccw98njyf824mqhx9yzia3y1871938xb0dz58y";
rev = "29ece0ca76408c191e3c5ed997b239efb4b38f58";
sha256 = "02s43lyqb17066wjjcl29vyky76svzaddclh1q6jh2awhixpsqx2";
};
meta.homepage = "https://github.com/Shougo/denite.nvim/";
};
deol-nvim = buildVimPluginFrom2Nix {
pname = "deol-nvim";
version = "2021-07-04";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "Shougo";
repo = "deol.nvim";
rev = "d95fde4d1e042a99f39ddb8c67875fb10d1ed1e8";
sha256 = "1wg1z85f816k60201hxrrdi4if9ci86cbg776k15pqdmcpzi0ibz";
rev = "df506505ab2de577b35271a2b222042000a30381";
sha256 = "0hqfbbcq4bnc48bknd7lfm41djq6977s18j14kyanp9gm7851sis";
};
meta.homepage = "https://github.com/Shougo/deol.nvim/";
};
@ -1256,12 +1256,12 @@ final: prev:
deoplete-nvim = buildVimPluginFrom2Nix {
pname = "deoplete-nvim";
version = "2021-07-10";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "Shougo";
repo = "deoplete.nvim";
rev = "c214dfa9f662027b434ad30cb90a0881d381c14a";
sha256 = "1cg4lvb1py6q838rvd2z3kvcr3xa9cziz0wgsjlg7392ivkss8hd";
rev = "1b39ec8dde1e263570418cb65e0b6f63dce20ba0";
sha256 = "0mybjvr4kmkcf0sqr7hwlwfg9s9bzvqqw3sn46aqclqqhliimj2v";
};
meta.homepage = "https://github.com/Shougo/deoplete.nvim/";
};
@ -1376,11 +1376,11 @@ final: prev:
edge = buildVimPluginFrom2Nix {
pname = "edge";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "sainnhe";
repo = "edge";
rev = "178a7e6389201f89199f1ef60970d46a1eb02537";
rev = "0aad4037902271c8c85d00d02e77f79ec2141267";
sha256 = "0knxkcf8ndj6ggcj8jsfgcmm98pmshl1n05qrixkhgh4ilrisqr4";
};
meta.homepage = "https://github.com/sainnhe/edge/";
@ -2424,12 +2424,12 @@ final: prev:
lazygit-nvim = buildVimPluginFrom2Nix {
pname = "lazygit-nvim";
version = "2021-07-08";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "kdheepak";
repo = "lazygit.nvim";
rev = "622d867706697c92016f79ea731be750a36693fa";
sha256 = "1gs452xkcgr4h0iq6nradirl6arxwv1b61gxqldfmnlpz6lqyd34";
rev = "d3f6a7f629931880df3c86ef5d123db1eed9c26a";
sha256 = "0z9zsl56ikrk7y9njflj9la2wr5iaxbqp73xay69flgkycsnbpy7";
};
meta.homepage = "https://github.com/kdheepak/lazygit.nvim/";
};
@ -2580,12 +2580,12 @@ final: prev:
lightspeed-nvim = buildVimPluginFrom2Nix {
pname = "lightspeed-nvim";
version = "2021-07-06";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "ggandor";
repo = "lightspeed.nvim";
rev = "1cbd25bd666f2bfbad480a5b9b308e64dbefdf71";
sha256 = "0xyiii94ciyki82ck2h88daazs1c17h944vv6caafijs1jqly7xi";
rev = "a3c62fc1d2bb9fffa14b42b97c100f148e96f15b";
sha256 = "0mp4p5d2m51f716938pzm8xifh8nxlmspdxpwbzqgnkf1b1rcvz0";
};
meta.homepage = "https://github.com/ggandor/lightspeed.nvim/";
};
@ -2712,12 +2712,12 @@ final: prev:
luasnip = buildVimPluginFrom2Nix {
pname = "luasnip";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "l3mon4d3";
repo = "luasnip";
rev = "32f5204b7e7687f71dcd3c0bda27127715a3b40f";
sha256 = "1b952m6lc2dkyxc7x8r9g11b15107aac02x68g1rc0i36vfxf1yj";
rev = "d7638d0a72686ca3e0e2ff019aae8cb9073d7980";
sha256 = "0fsd4azmmjjqqm6sb492bp02fvddalklmbyn1a07xql35fj5cq89";
};
meta.homepage = "https://github.com/l3mon4d3/luasnip/";
};
@ -3132,12 +3132,12 @@ final: prev:
neogit = buildVimPluginFrom2Nix {
pname = "neogit";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "TimUntersberger";
repo = "neogit";
rev = "467d64d8f4e3018a8742aa152ed5e2c83c3bbef0";
sha256 = "197yf4ngylv0d8j6s64kds581vb2i14yhx3690iq3f24kqw9c9mk";
rev = "90b1901774c11b86f3d36f7d17803125bfbe82b8";
sha256 = "1fi4dajrhrsfj64bxz9vpd2ipsjnsx51sqc34qg0iw47qraw8yij";
};
meta.homepage = "https://github.com/TimUntersberger/neogit/";
};
@ -3180,12 +3180,12 @@ final: prev:
neorg = buildVimPluginFrom2Nix {
pname = "neorg";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "vhyrro";
repo = "neorg";
rev = "0834af5fc3e8652fafebc4758eca96dce3e3ee54";
sha256 = "1z1ijniy7x7hyka4yb6plzsbqyz0dggh4vn6nd4cmv72i44svmnw";
rev = "4b084b7bdbdec913ba2432c54eb0b5d72183c4ac";
sha256 = "1fngbp7gvfqk0jidll36mvh0ixsrlsr0bh8g2fxy2x9v26zdpw61";
};
meta.homepage = "https://github.com/vhyrro/neorg/";
};
@ -3408,12 +3408,12 @@ final: prev:
numb-nvim = buildVimPluginFrom2Nix {
pname = "numb-nvim";
version = "2021-07-08";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "nacro90";
repo = "numb.nvim";
rev = "0ef6d11bd94bc2ef6f311d8f05bd2a4d6471dff6";
sha256 = "1li62nffx0jq1w97mra4hgfzphvna9m1qgi1fqc4r0vp54dxv3y9";
rev = "c8b128230adb22727256fd24a221f4c5a1b41e93";
sha256 = "0dg5cym0rcjy198rhkd61mhq1mg7lw5z4vprik8aimgnlqdzgqad";
};
meta.homepage = "https://github.com/nacro90/numb.nvim/";
};
@ -3528,12 +3528,12 @@ final: prev:
nvim-compe = buildVimPluginFrom2Nix {
pname = "nvim-compe";
version = "2021-07-10";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "hrsh7th";
repo = "nvim-compe";
rev = "8024ea3b44db0e90b1048dfbf14cfb97439dd9c0";
sha256 = "1fmnp1imyr1rkfzcyy0jk5lvap2yx011b5q9zr8jrjdk25n03n8x";
rev = "a3e530ea915634afb43b21e621d45515f7bdff77";
sha256 = "1dx95vnwz65d07irb3c6dy7nkalmfla501dwcyhyk3zygws50zaw";
};
meta.homepage = "https://github.com/hrsh7th/nvim-compe/";
};
@ -3636,12 +3636,12 @@ final: prev:
nvim-jdtls = buildVimPluginFrom2Nix {
pname = "nvim-jdtls";
version = "2021-07-02";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "mfussenegger";
repo = "nvim-jdtls";
rev = "846187eef85e39997c7b9f101e5169c5b57ec4a8";
sha256 = "183szh75a3ix715i1hjr7pbcxw6l75l476snjda17ia68fg6zj6r";
rev = "391e55bb5f90bc23e47c3b57eed6c6fcc95b0e7f";
sha256 = "1djjdllr1klzy9yggkwmv7cv8gcpyb96mw1c9qfq9vdi5fmhcsyn";
};
meta.homepage = "https://github.com/mfussenegger/nvim-jdtls/";
};
@ -3660,12 +3660,12 @@ final: prev:
nvim-lspconfig = buildVimPluginFrom2Nix {
pname = "nvim-lspconfig";
version = "2021-07-11";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "neovim";
repo = "nvim-lspconfig";
rev = "cfab466847e0874f03cf5b1bfbd89286827c537c";
sha256 = "176blqdih86xa8sw65klfs63pqqbyl9mkckcwqgcfy6gfy3y671f";
rev = "bc7796a5fd8a9c0373413105f0fbd5ea44583538";
sha256 = "0qz8pqbj9ijd1qp16fqr4q7fpdjb6j0574q8bsp3lg3x8355skzy";
};
meta.homepage = "https://github.com/neovim/nvim-lspconfig/";
};
@ -3732,12 +3732,12 @@ final: prev:
nvim-toggleterm-lua = buildVimPluginFrom2Nix {
pname = "nvim-toggleterm-lua";
version = "2021-07-09";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "akinsho";
repo = "nvim-toggleterm.lua";
rev = "1f1bf3b3efd9b3d4bc1a47bcdee980ff554fbce4";
sha256 = "0kbxxzh0qpr9cwnk61iyf9hl45kshm21mv8zybi53pi2hygr99k0";
rev = "96af0fa98252ab3543ff1464c6452930f242c615";
sha256 = "10r9zqmkhh3bpjhjhrr24vssy5wazd4499sxsyqsr6p9bb1mkhqh";
};
meta.homepage = "https://github.com/akinsho/nvim-toggleterm.lua/";
};
@ -3816,12 +3816,12 @@ final: prev:
nvim-ts-rainbow = buildVimPluginFrom2Nix {
pname = "nvim-ts-rainbow";
version = "2021-07-10";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "p00f";
repo = "nvim-ts-rainbow";
rev = "c5bd199dba35f9794f3ada35417b4f4afe9c62e6";
sha256 = "0xb8bqdxdpsxylcv7yfkscq9f8ribcdn4vkvp75j0mljbb2bqcmz";
rev = "802a9d576d836531447f29423fe15abce19d82f7";
sha256 = "19ww2r4jzmwp4pb2c78aj7jp8a93s25nmlxgzfgb7hpixg8q16p0";
};
meta.homepage = "https://github.com/p00f/nvim-ts-rainbow/";
};
@ -3924,12 +3924,12 @@ final: prev:
onedark-vim = buildVimPluginFrom2Nix {
pname = "onedark-vim";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "joshdick";
repo = "onedark.vim";
rev = "7d1f6d147625488ff625efd5e520b9ec6fc38ed4";
sha256 = "1v72z09mmya711xm200699w4n94rny6mi6rca5l6p8amk78y54f5";
rev = "ee4b22cbae8a3a434fad832bd89a6981c7c061af";
sha256 = "1fz3ly97w0n8viarlqil2q38s6hwd0lzyyi2jvpqsg9bj07dg4k3";
};
meta.homepage = "https://github.com/joshdick/onedark.vim/";
};
@ -3972,12 +3972,12 @@ final: prev:
packer-nvim = buildVimPluginFrom2Nix {
pname = "packer-nvim";
version = "2021-07-10";
version = "2021-07-13";
src = fetchFromGitHub {
owner = "wbthomason";
repo = "packer.nvim";
rev = "c1aa0c773f764950d5e11efb8cba62d6e1b462fc";
sha256 = "1j79v0gvp2i6vz8hg7ajyafd69pcwb4xpp9wyvqa122nnmqz1w84";
rev = "3a48ecad19a111b629cc5c5afa62d0513e440dc6";
sha256 = "1ngm3c5piivxzsx05p1bzyac9rlsy050qzlwq1zvc15zz70gfkk0";
};
meta.homepage = "https://github.com/wbthomason/packer.nvim/";
};
@ -4080,12 +4080,12 @@ final: prev:
plenary-nvim = buildVimPluginFrom2Nix {
pname = "plenary-nvim";
version = "2021-07-02";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "nvim-lua";
repo = "plenary.nvim";
rev = "ca51b6842cd8021f58dc45c89b3e8d7994e0bf8f";
sha256 = "071gdhrrbrhdmagai3q8c4yzc9kn794aa7kkacnknkm5kzswb8hg";
rev = "8bae2c1fadc9ed5bfcfb5ecbd0c0c4d7d40cb974";
sha256 = "1axvjv6n77afkjqk914dpc020kxd7mig6m5sr916k1n1q35jc4ny";
};
meta.homepage = "https://github.com/nvim-lua/plenary.nvim/";
};
@ -4646,11 +4646,11 @@ final: prev:
sonokai = buildVimPluginFrom2Nix {
pname = "sonokai";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "sainnhe";
repo = "sonokai";
rev = "cff29d864a6e2ec831a5ce6259a0316a036b5563";
rev = "ef631befe2bea01c23f4f0d9685025ac15d51ace";
sha256 = "1hk1f1mbk37gcqhrwvn352q83qsf5nrgyrgghvkj8m91jgf4m31y";
};
meta.homepage = "https://github.com/sainnhe/sonokai/";
@ -4899,12 +4899,12 @@ final: prev:
tabnine-vim = buildVimPluginFrom2Nix {
pname = "tabnine-vim";
version = "2021-01-14";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "codota";
repo = "tabnine-vim";
rev = "fa891e62903501f7eeb2f00f6574ec9684e1c4ee";
sha256 = "0cra1l31fcngp3iyn61rlngz4qx7zwk68h07bgp9w5gjx59a7npz";
rev = "4c22054dffdd84811664cb6957b001a8617333ae";
sha256 = "16r27kzpk4xww82x18m6m0hwbplsdw96vcmkyy9r6ndxq0hcblqi";
fetchSubmodules = true;
};
meta.homepage = "https://github.com/codota/tabnine-vim/";
@ -5073,8 +5073,8 @@ final: prev:
src = fetchFromGitHub {
owner = "nvim-telescope";
repo = "telescope.nvim";
rev = "49b86b4610199d879f539d9193fbee45792ba712";
sha256 = "0zpkblhnxlr1b4kzmwsv8aq52rcn3hxk60cnpa3j337zlkx8kbvp";
rev = "5692edd004fed1dbd55c90775c34a051298724e7";
sha256 = "0mzgbnm9ic173spnm9w9da7yl79fqg6p7s1sv0w3d3m7qqvz0bpz";
};
meta.homepage = "https://github.com/nvim-telescope/telescope.nvim/";
};
@ -5188,6 +5188,18 @@ final: prev:
meta.homepage = "https://github.com/freitass/todo.txt-vim/";
};
tokyonight-nvim = buildVimPluginFrom2Nix {
pname = "tokyonight-nvim";
version = "2021-07-09";
src = fetchFromGitHub {
owner = "folke";
repo = "tokyonight.nvim";
rev = "e3ad6032a7e2c54dd7500335b43c7d353a19ede9";
sha256 = "1slb67kirb0jfgjsw09dhimmxagsk2aii6w461y1w8nj3fkl6p28";
};
meta.homepage = "https://github.com/folke/tokyonight.nvim/";
};
traces-vim = buildVimPluginFrom2Nix {
pname = "traces-vim";
version = "2021-06-16";
@ -6702,12 +6714,12 @@ final: prev:
vim-fugitive = buildVimPluginFrom2Nix {
pname = "vim-fugitive";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "tpope";
repo = "vim-fugitive";
rev = "4cdeff8c33ec2fe0686324bf1846ce158c452754";
sha256 = "10cznifza7ygsw9c8dsrc4rks43661hfrhzi21nsrj4x6vf4n1my";
rev = "1c2663f516c32f8453f542be10192a49ee844a93";
sha256 = "01gh4p2d41khx5cb7hcpjp9gs5fkgil838rnik1gawiw7w83hnaa";
};
meta.homepage = "https://github.com/tpope/vim-fugitive/";
};
@ -6774,12 +6786,12 @@ final: prev:
vim-gitgutter = buildVimPluginFrom2Nix {
pname = "vim-gitgutter";
version = "2021-06-08";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "airblade";
repo = "vim-gitgutter";
rev = "0f98634b92da9a35580b618c11a6d2adc42d9f90";
sha256 = "0l1f98zfmxq8xi2ii31ih0mbq5yilpc0l61qbprs1g5h5p4azjy8";
rev = "7d9b7125ff2533f6c520573f54e91db2f13a44b0";
sha256 = "1ckz2b7y6y483d0ignkv8mm0xf9jbs8k3srp50m7sj24nsdadb1v";
};
meta.homepage = "https://github.com/airblade/vim-gitgutter/";
};
@ -8781,12 +8793,12 @@ final: prev:
vim-startuptime = buildVimPluginFrom2Nix {
pname = "vim-startuptime";
version = "2021-07-08";
version = "2021-07-11";
src = fetchFromGitHub {
owner = "dstein64";
repo = "vim-startuptime";
rev = "ea2ed4bdcd4facaa83d1a44ccdb3d614ad62fec0";
sha256 = "1zbbr4fbqn36b63mi9wfjl125b8ml9361vin6hpv4zjhhf8xn06w";
rev = "e82e635e1e188b1d00fa9ed3de21794c07ea1445";
sha256 = "1623rkqni2xbz6jl8cs848db0gydnpsp0nxss6rg2cp9l813k68f";
};
meta.homepage = "https://github.com/dstein64/vim-startuptime/";
};
@ -9382,12 +9394,12 @@ final: prev:
vim-xkbswitch = buildVimPluginFrom2Nix {
pname = "vim-xkbswitch";
version = "2021-05-08";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "lyokha";
repo = "vim-xkbswitch";
rev = "cd88d9bc34ca1df6bd06a9e427350d45a6c2931c";
sha256 = "0gf0xla3jm8cp4j5mldn79kfbd3zlwil3wdgdvsx8w3kybi6dap1";
rev = "df53e9c5fce91a84e1d6e8722956a01595d16c40";
sha256 = "0zndnmdmxlr6114d29sc1q8fc0s2zlsrj1v28gp0sgnim1rmavfp";
};
meta.homepage = "https://github.com/lyokha/vim-xkbswitch/";
};
@ -9599,12 +9611,12 @@ final: prev:
vimtex = buildVimPluginFrom2Nix {
pname = "vimtex";
version = "2021-07-11";
version = "2021-07-12";
src = fetchFromGitHub {
owner = "lervag";
repo = "vimtex";
rev = "77c45e8345f3915b27a27e2f07b158cc997215d5";
sha256 = "13p6pzsl56l39x7jx0r16nscji9qb6gpfxmjsj7sa18g09lmlxk1";
rev = "a064c48ade2a4df3d010e02b2d528fc2534a62eb";
sha256 = "03za8pwaqi2bhkq9zgial6fpipkbij530f54alaqc8mrd6nydz90";
};
meta.homepage = "https://github.com/lervag/vimtex/";
};

View file

@ -150,6 +150,7 @@ flazz/vim-colorschemes
floobits/floobits-neovim
folke/lsp-colors.nvim@main
folke/todo-comments.nvim@main
folke/tokyonight.nvim@main
folke/trouble.nvim@main
folke/which-key.nvim@main
freitass/todo.txt-vim
@ -255,7 +256,7 @@ jonsmithers/vim-html-template-literals
joonty/vim-xdebug
josa42/coc-lua
josa42/vim-lightline-coc
joshdick/onedark.vim
joshdick/onedark.vim@main
jpalardy/vim-slime@main
jparise/vim-graphql
jparise/vim-phabricator

View file

@ -2,13 +2,13 @@
stdenv.mkDerivation rec {
pname = "icingaweb2";
version = "2.8.2";
version = "2.8.3";
src = fetchFromGitHub {
owner = "Icinga";
repo = "icingaweb2";
rev = "v${version}";
sha256 = "1zrni1hzblaangiqm7iqbvg2h9rdc2l3pzzymz52r7mri4qnr4s8";
sha256 = "sha256-wk6rTEYRS0q0HpQRbFAmfeYVrF/xLP/HchEXNqqNpYg=";
};
nativeBuildInputs = [ makeWrapper ];

View file

@ -12,11 +12,11 @@ let
in
buildPythonApplication rec {
pname = "matrix-synapse";
version = "1.37.1";
version = "1.38.0";
src = fetchPypi {
inherit pname version;
sha256 = "sha256-KxDHJrKm/QUZtOzI6MEpIUb4hTtxtIPLFuD1as3j4EA=";
sha256 = "sha256-k9/enFktixO4zvgBW3zw0COBakDP1PHVWAlbMi+FiWQ=";
};
patches = [

View file

@ -12,16 +12,16 @@
# server, and the FHS userenv and corresponding NixOS module should
# automatically pick up the changes.
stdenv.mkDerivation rec {
version = "1.23.3.4707-ebb5fe9f3";
version = "1.23.4.4805-186bae04e";
pname = "plexmediaserver";
# Fetch the source
src = if stdenv.hostPlatform.system == "aarch64-linux" then fetchurl {
url = "https://downloads.plex.tv/plex-media-server-new/${version}/debian/plexmediaserver_${version}_arm64.deb";
sha256 = "0b3xsyrpz1098lyqfapnjp7k55d07qg7h9avc7f3zmpkiclxf2ry";
sha256 = "161baz4klwb8wyvc3mnbvvwjcmdfp38rn270jwvmwzp6b70jclyx";
} else fetchurl {
url = "https://downloads.plex.tv/plex-media-server-new/${version}/debian/plexmediaserver_${version}_amd64.deb";
sha256 = "1as83prhlfi4g172k3mgm6p8k58zm4bahjf8bp8pyxcmgiii76m0";
sha256 = "0vj7k81fl8chaxqz287arvn9vva4cd4wcnybc5yvls3589h9x1zq";
};
outputs = [ "out" "basedb" ];

View file

@ -659,6 +659,7 @@ self: super:
"--with-xkb-output=$out/share/X11/xkb/compiled"
"--with-log-dir=/var/log"
"--enable-glamor"
"--with-os-name=Nix" # r13y, embeds the build machine's kernel version otherwise
] ++ lib.optionals stdenv.hostPlatform.isMusl [
"--disable-tls"
];

View file

@ -0,0 +1,30 @@
{ coreutils, fetchFromGitHub, lib, makeWrapper, stdenv, util-linux, xauth, xorgserver }:
stdenv.mkDerivation rec {
pname = "sx";
version = "2.1.7";
src = fetchFromGitHub {
owner = "earnestly";
repo = pname;
rev = version;
sha256 = "0xv15m30nhcknasqiybj5wwf7l91q4a4jf6xind8x5x00c6br6nl";
};
nativeBuildInputs = [ makeWrapper ];
makeFlags = [ "PREFIX=$(out)" ];
postInstall = ''
wrapProgram $out/bin/sx \
--prefix PATH : ${lib.makeBinPath [ coreutils util-linux xorgserver xauth ]}
'';
meta = with lib; {
description = "Simple alternative to both xinit and startx for starting a Xorg server";
homepage = "https://github.com/earnestly/sx";
license = licenses.mit;
platforms = platforms.linux;
maintainers = with maintainers; [ figsoda ];
};
}

View file

@ -16,7 +16,7 @@ stdenv.mkDerivation rec {
postPatch = ''
substituteInPlace configure.ac \
--replace "AC_PREREQ([2.62])" "AC_PREREQ([2.63])"
--replace "AC_PREREQ([2.62])" "AC_PREREQ([2.64])"
'';
nativeBuildInputs = [

View file

@ -2,16 +2,16 @@
buildGoModule rec {
pname = "trivy";
version = "0.18.3";
version = "0.19.1";
src = fetchFromGitHub {
owner = "aquasecurity";
repo = pname;
rev = "v${version}";
sha256 = "sha256-YQYDDg4rgLygswGl/IYb+USSsuXQ8kXh4NhQYvnaCko=";
sha256 = "sha256-oiaH0w7TEztR1i0wBuXXr+JN37UZOQ/zObBzQQvAnZY=";
};
vendorSha256 = "sha256-f1un8jWhx7VfbbYV0/t3SLFXp496Wt5aEHkcuj/U4KQ=";
vendorSha256 = "sha256-bIQSZ+QQ0CnyOQ692Wpy4nXIPDSkD3LmnjwHZRG6soY=";
excludedPackages = "misc";

View file

@ -1,33 +1,52 @@
{ lib, stdenv, python3, fetchpatch, acl, libb2, lz4, zstd, openssl, openssh, nixosTests }:
{ lib
, stdenv
, acl
, e2fsprogs
, libb2
, lz4
, openssh
, openssl
, python3
, zstd
, nixosTests
}:
python3.pkgs.buildPythonApplication rec {
pname = "borgbackup";
version = "1.1.16";
version = "1.1.17";
src = python3.pkgs.fetchPypi {
inherit pname version;
sha256 = "0l1dqfwrd9l34rg30cmzmq5bs6yha6kg4vy313jq611jsqj94mmw";
sha256 = "0x0ncy0b0bmf586hbdgrif3gjmkdw760vfnfxndr493v07y29fbs";
};
patches = [
# fix compatibility with sphinx 4
(fetchpatch {
url = "https://github.com/borgbackup/borg/commit/6a1f31bf2914d167e2f5051f1d531d5d4a19f54b.patch";
includes = [ "docs/conf.py" ];
sha256 = "0aa4kyb3j4apgwqcy1hzg6lxvpf60m2mijcj60vh101b42410hiz";
})
];
postPatch = ''
# sandbox does not support setuid/setgid/sticky bits
substituteInPlace src/borg/testsuite/archiver.py \
--replace "0o4755" "0o0755"
'';
nativeBuildInputs = with python3.pkgs; [
setuptools-scm
# For building documentation:
sphinx guzzle_sphinx_theme
sphinx
guzzle_sphinx_theme
];
buildInputs = [
libb2 lz4 zstd openssl
] ++ lib.optionals stdenv.isLinux [ acl ];
libb2
lz4
zstd
openssl
] ++ lib.optionals stdenv.isLinux [
acl
];
propagatedBuildInputs = with python3.pkgs; [
cython llfuse
cython
llfuse
packaging
pyfuse3
];
preConfigure = ''
@ -61,15 +80,36 @@ python3.pkgs.buildPythonApplication rec {
'';
checkInputs = with python3.pkgs; [
pytest
e2fsprogs
pytest-benchmark
pytest-xdist
pytestCheckHook
];
checkPhase = ''
HOME=$(mktemp -d) py.test --pyargs borg.testsuite
'';
pytestFlagsArray = [
"--numprocesses" "auto"
"--benchmark-skip"
"--pyargs" "borg.testsuite"
];
# 64 failures, needs pytest-benchmark
doCheck = false;
disabledTests = [
# fuse: device not found, try 'modprobe fuse' first
"test_fuse"
"test_fuse_allow_damaged_files"
"test_fuse_mount_hardlinks"
"test_fuse_mount_options"
"test_fuse_versions_view"
"test_readonly_mount"
# Error: Permission denied while trying to write to /var/{,tmp}
"test_get_cache_dir"
"test_get_keys_dir"
"test_get_security_dir"
"test_get_config_dir"
];
preCheck = ''
export HOME=$TEMP
'';
passthru.tests = {
inherit (nixosTests) borgbackup;

View file

@ -6,7 +6,7 @@ in symlinkJoin {
name = "brasero-${brasero-original.version}";
paths = [ brasero-original ];
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ makeWrapper ];
postBuild = ''
wrapProgram $out/bin/brasero \

View file

@ -15,6 +15,7 @@ stdenv.mkDerivation rec {
nativeBuildInputs = [ autoconf automake ];
preConfigure = ''
substituteInPlace configure.ac --replace 'AC_PREREQ([2.63])' 'AC_PREREQ(2.64)'
./build-aux/autogen.sh
'';

View file

@ -5,7 +5,7 @@ symlinkJoin {
paths = [ fcitx fcitx-configtool libsForQt5.fcitx-qt5 ] ++ plugins;
buildInputs = [ makeWrapper ];
nativeBuildInputs = [ makeWrapper ];
postBuild = ''
wrapProgram $out/bin/fcitx \

View file

@ -1,4 +1,5 @@
{ lib, stdenv
{ lib
, stdenv
, nixosTests
, rustPlatform
, fetchFromGitHub
@ -12,16 +13,15 @@
rustPlatform.buildRustPackage rec {
pname = "bat";
version = "0.18.1";
version = "0.18.2";
src = fetchFromGitHub {
owner = "sharkdp";
repo = pname;
rev = "v${version}";
sha256 = "sha256-kyl+clL/4uxVaDH/9zPDGQTir4/JVgtHo9kNQ31gXTo=";
sha256 = "sha256-Y8CmVOIDPQ9kpggOlKnxLV0oOyNRow0r/nvxNpCtYNU=";
};
cargoSha256 = "sha256-j9HbOXiwN4CWv9wMBrNxY3jehh+KRkXlwmDqChNy1Dk=";
cargoSha256 = "sha256-MdfBldImyW8QV0P3zPrYT2Vi9zChvXePI2T8tRsrlcQ=";
nativeBuildInputs = [ pkg-config installShellFiles makeWrapper ];
@ -29,7 +29,7 @@ rustPlatform.buildRustPackage rec {
postInstall = ''
installManPage $releaseDir/build/bat-*/out/assets/manual/bat.1
installShellCompletion $releaseDir/build/bat-*/out/assets/completions/bat.{fish,zsh}
installShellCompletion $releaseDir/build/bat-*/out/assets/completions/bat.{bash,fish,zsh}
'';
# Insert Nix-built `less` into PATH because the system-provided one may be too old to behave as

View file

@ -1,14 +1,14 @@
{ lib, stdenv, fetchFromGitHub }:
{ lib, stdenvNoCC, fetchFromGitHub }:
stdenv.mkDerivation rec {
stdenvNoCC.mkDerivation rec {
pname = "betterdiscordctl";
version = "2.0.0";
version = "2.0.1";
src = fetchFromGitHub {
owner = "bb010g";
repo = "betterdiscordctl";
rev = "v${version}";
sha256 = "1wys3wbcz5hq8275ia2887kr5fzz4b3gkcp56667j9k0p3k3zfac";
sha256 = "0p321rfcihz2779sdd6qfgpxgk5yd53d33vq5pvb50dbdgxww0bc";
};
postPatch = ''
@ -26,6 +26,12 @@ stdenv.mkDerivation rec {
runHook postInstall
'';
doInstallCheck = true;
installCheckPhase = ''
$out/bin/betterdiscordctl --version
'';
meta = with lib; {
homepage = "https://github.com/bb010g/betterdiscordctl";
description = "A utility for managing BetterDiscord on Linux";

View file

@ -14,7 +14,7 @@ stdenv.mkDerivation rec {
nativeBuildInputs = [ autoreconfHook pkg-config ];
buildInputs = [ ncurses libconfuse libnl ];
buildInputs = [ ncurses libconfuse ] ++ lib.optional stdenv.isLinux libnl;
preConfigure = ''
# Must be an absolute path
@ -28,7 +28,7 @@ stdenv.mkDerivation rec {
# - https://github.com/tgraf/bmon/blob/master/LICENSE.BSD
# - https://github.com/tgraf/bmon/blob/master/LICENSE.MIT
license = licenses.bsd2;
platforms = platforms.linux;
platforms = platforms.unix;
maintainers = with maintainers; [ bjornfor pSub ];
};
}

View file

@ -21,17 +21,15 @@
stdenv.mkDerivation rec {
pname = "fwup";
version = "1.8.3";
version = "1.8.4";
src = fetchFromGitHub {
owner = "fhunleth";
repo = "fwup";
rev = "v${version}";
sha256 = "sha256-ayfcnIZ7MuBsCy1giwmY2D2C6AukwS+fevmXqGa4c1w=";
sha256 = "sha256-NaSA3mFWf3C03SAGssMqLT0vr5KMfxD5y/iragGNKjw=";
};
patches = [ ./fix-testrunner-darwin.patch ];
nativeBuildInputs = [
autoreconfHook
pkg-config
@ -44,8 +42,7 @@ stdenv.mkDerivation rec {
libsodium
xz
zlib
]
++ lib.optionals stdenv.isDarwin [
] ++ lib.optionals stdenv.isDarwin [
DiskArbitration
];

View file

@ -1,25 +0,0 @@
diff --git a/tests/common-orig.sh b/tests/common.sh
index 1f2673f..79dcf74 100755
--- a/tests/common-orig.sh
+++ b/tests/common.sh
@@ -21,20 +21,6 @@ else
fi
case "$HOST_OS" in
- Darwin)
- # BSD stat
- STAT_FILESIZE_FLAGS="-f %z"
-
- # Not -d?
- BASE64_DECODE=-D
-
- READLINK=/usr/local/bin/greadlink
- [ -e $READLINK ] || ( echo "Please run 'brew install coreutils' to install greadlink"; exit 1 )
- [ -e /usr/local/bin/mdir ] || ( echo "Please run 'brew install mtools' to install mdir"; exit 1 )
-
- FSCK_FAT=fsck_msdos
- TIMEOUT=gtimeout
- ;;
FreeBSD|NetBSD|OpenBSD|DragonFly)
# BSD stat
STAT_FILESIZE_FLAGS="-f %z"

View file

@ -18,6 +18,10 @@ stdenv.mkDerivation {
++ map fetchurl (import ./grub1.patches.nix)
;
preConfigure = ''
substituteInPlace ./configure.ac --replace 'AC_PREREQ(2.61)' 'AC_PREREQ(2.64)'
'';
# autoreconfHook required for the splashimage patch.
nativeBuildInputs = [ autoreconfHook ];
buildInputs = [ texinfo ];

View file

@ -1,17 +1,17 @@
{ lib, fetchFromGitHub, rustPlatform }:
rustPlatform.buildRustPackage rec {
pname = "hexyl";
version = "0.8.0";
pname = "hexyl";
version = "0.9.0";
src = fetchFromGitHub {
owner = "sharkdp";
repo = pname;
rev = "v${version}";
sha256 = "0aj2sysl0spf5zlcd5kfzlw97w7dzf9x93pv0d1v9blnbd1rz7lm";
owner = "sharkdp";
repo = pname;
rev = "v${version}";
sha256 = "sha256-hLDx5OzCE5iA492V3+dhaav2l8/rOVWyskrU4Gz1hf4=";
};
cargoSha256 = "08hn0csw12xaag95gb5rj4q7k2zyy9j9bf4iw3b0r3ndh66qqra2";
cargoSha256 = "sha256-CGaCMrShagK4dAdwJtaeUMJlYOlG/cH+6E1QDYGrqL0=";
meta = with lib; {
changelog = "https://github.com/sharkdp/hexyl/releases/tag/v${version}";
@ -22,9 +22,8 @@ rustPlatform.buildRustPackage rec {
printable ASCII characters, ASCII whitespace characters, other ASCII
characters and non-ASCII).
'';
homepage = "https://github.com/sharkdp/hexyl";
license = with licenses; [ asl20 /* or */ mit ];
maintainers = with maintainers; [ dywedir ];
platforms = platforms.linux ++ platforms.darwin;
homepage = "https://github.com/sharkdp/hexyl";
license = with licenses; [ asl20 /* or */ mit ];
maintainers = with maintainers; [ dywedir SuperSandro2000 ];
};
}

View file

@ -1,27 +1,29 @@
{ fetchurl, lib, stdenv, emacs }:
{ fetchurl, lib, stdenv, emacs, gnulib, autoconf, bison, automake, gettext, gperf, texinfo, perl, rsync, gawk}:
stdenv.mkDerivation rec {
name = "idutils-4.6";
pname = "idutils";
version = "4.6";
src = fetchurl {
url = "mirror://gnu/idutils/${name}.tar.xz";
url = "mirror://gnu/idutils/idutils-${version}.tar.xz";
sha256 = "1hmai3422iaqnp34kkzxdnywl7n7pvlxp11vrw66ybxn9wxg90c1";
};
preConfigure =
''
# Fix for building on Glibc 2.16. Won't be needed once the
# gnulib in idutils is updated.
sed -i '/gets is a security hole/d' lib/stdio.in.h
preConfigure = ''
# replace embedded gnulib tests with those from gnulib package
bash -O extglob -c "cd gnulib-tests; rm -r !(Makefile.am)"
substituteInPlace ./configure.ac --replace "AC_PREREQ(2.61)" "AC_PREREQ(2.64)"
./bootstrap --force --gnulib-srcdir=${gnulib} --skip-po --bootstrap-sync --no-git
'';
buildInputs = lib.optional stdenv.isLinux emacs;
nativeBuildInputs = [ gnulib autoconf bison automake gettext gperf texinfo perl rsync gawk ];
doCheck = !stdenv.isDarwin;
patches = [ ./nix-mapping.patch ];
meta = {
meta = with lib; {
description = "Text searching utility";
longDescription = ''
@ -46,10 +48,9 @@ stdenv.mkDerivation rec {
'';
homepage = "https://www.gnu.org/software/idutils/";
license = lib.licenses.gpl3Plus;
license = licenses.gpl3Plus;
maintainers = [ ];
maintainers = with maintainers; [ gfrascadorio ];
platforms = lib.platforms.all;
broken = true;
};
}

View file

@ -2,16 +2,16 @@
rustPlatform.buildRustPackage rec {
pname = "krapslog";
version = "0.2.0";
version = "0.3.0";
src = fetchFromGitHub {
owner = "acj";
repo = "krapslog-rs";
rev = version;
sha256 = "sha256-Ab5bY5r0tYx3JxYRRq7i9O7WFvdi6cRMSuru/pK50y8=";
sha256 = "sha256-IXbOmeWLhGOijO1xLItw1wzbHxl0Zyd0dHvfcaPWE8U=";
};
cargoSha256 = "sha256-k7jsWMFU/8XogREic4GB+qYocFtiTvSzvBAcORUFe0o=";
cargoSha256 = "sha256-2XCtjMV8ko6jnvXYtJhLlNvB1uc0QLO/aYsQX40deBk=";
buildInputs = lib.optional stdenv.isDarwin libiconv;

View file

@ -1,53 +0,0 @@
{ fetchurl, lib, stdenv, xorg, freetype, fontconfig, libGLU, libGL, glibc, makeWrapper }:
let
system = if stdenv.hostPlatform.system == "x86_64-linux" then "linux64" else "linux32";
in
stdenv.mkDerivation rec {
pname = "ocz-ssd-guru";
version = "1.0.1170";
src = fetchurl {
url = "http://ocz.com/consumer/download/ssd-guru/SSDGuru_${version}.tar.gz";
sha256 = "0ri7qmpc1xpy12lpzl6k298c641wcibcwrzz8jn75wdg4rr176r5";
};
nativeBuildInputs = [ makeWrapper ];
libPath = lib.makeLibraryPath [
xorg.libX11
xorg.libxcb
freetype
fontconfig
xorg.libXext
xorg.libXi
xorg.libXrender
stdenv.cc.cc
glibc
libGLU libGL
];
installPhase = ''
mkdir -p $out/bin
cp ${system}/SSDGuru $out/bin/
rm -rf linux{32,64}
patchelf \
--set-interpreter "$(cat $NIX_CC/nix-support/dynamic-linker)" \
--set-rpath $libPath:$out \
$out/bin/SSDGuru
wrapProgram $out/bin/SSDGuru --prefix LD_LIBRARY_PATH : $libPath
'';
dontStrip = true;
dontPatchELF = true;
meta = {
homepage = "http://ocz.com/ssd-guru";
description = "SSD Management Tool for OCZ disks";
license = lib.licenses.unfree;
platforms = lib.platforms.linux;
maintainers = with lib.maintainers; [ jagajaga ];
};
}

View file

@ -12,25 +12,19 @@
stdenv.mkDerivation rec {
pname = "uutils-coreutils";
version = "0.0.6";
version = "0.0.7";
src = fetchFromGitHub {
owner = "uutils";
repo = "coreutils";
rev = version;
sha256 = "sha256-dnswE/DU2jCfxWW10Ctjw8woktwWZqyd3E9IuKkle1M=";
sha256 = "sha256-XI6061nCVyL8Q1s+QH75IesneJNhbhxGnILZxQCa5LU=";
};
postPatch = ''
# can be removed after https://github.com/uutils/coreutils/pull/1815 is included
substituteInPlace GNUmakefile \
--replace uutils coreutils
'';
cargoDeps = rustPlatform.fetchCargoTarball {
inherit src;
name = "${pname}-${version}";
hash = "sha256-92BHPSVIPZLn399AcaJJjRq2WkxzDm8knKN3FIdAxAA=";
hash = "sha256-bfwWyeuslLjh4OCt+H8CM8hCrRFqlibOS8gS64lysa0=";
};
nativeBuildInputs = [ rustPlatform.cargoSetupHook sphinx ];

View file

@ -14,7 +14,7 @@ perlPackages.buildPerlPackage rec {
# perl packages by default get devdoc which isn't present
outputs = [ "out" ];
buildInputs = with perlPackages; [ IOSocketSSL DigestSHA1 DataValidateIP JSONPP ];
buildInputs = with perlPackages; [ IOSocketSSL DigestSHA1 DataValidateIP JSONPP IOSocketInet6 ];
# Use iproute2 instead of ifconfig
preConfigure = ''

View file

@ -9,7 +9,7 @@ stdenv.mkDerivation rec {
sha256 = "01zmv6vk5kh5xmd563xws8a1qnxjb6b6kv59yzz9r3rrghxhd6c5";
};
buildInputs = [ net-snmp ];
buildInputs = lib.optional stdenv.isLinux net-snmp;
nativeBuildInputs = [ autoreconfHook ];

View file

@ -2,13 +2,13 @@
buildGoModule rec {
pname = "cosign";
version = "0.5.0";
version = "0.6.0";
src = fetchFromGitHub {
owner = "sigstore";
repo = pname;
rev = "v${version}";
sha256 = "0g60qwdxk6pmkzj0zz9iyc8b0bzh751fj2yyz0vilkgcjq47xjk8";
sha256 = "1h0lhbcrynaiwpgpkcn10yrn90j03g00w9hr2lvsj3cwmdbz0rcz";
};
buildInputs =
@ -17,13 +17,11 @@ buildGoModule rec {
nativeBuildInputs = [ pkg-config ];
vendorSha256 = "0agmnl5d00hm854sj1iipng36pf7hcc26iwcmpcr1rsmc7v522z4";
vendorSha256 = "0f3al6ds0kqyv2fapgdg9i38rfx6h169pmj6az0sfnkh2psq73ia";
subPackages = [ "cmd/cosign" ];
preBuild = ''
buildFlagsArray+=("-ldflags" "-s -w -X github.com/sigstore/cosign/cmd/cosign/cli.gitVersion=v${version}")
'';
ldflags = [ "-s" "-w" "-X github.com/sigstore/cosign/cmd/cosign/cli.gitVersion=v${version}"];
meta = with lib; {
homepage = "https://github.com/sigstore/cosign";

View file

@ -5,16 +5,16 @@
buildGoModule rec {
pname = "nuclei";
version = "2.3.8";
version = "2.4.0";
src = fetchFromGitHub {
owner = "projectdiscovery";
repo = pname;
rev = "v${version}";
sha256 = "sha256-MrAJHYfTcziHTKJYRB6FW23XcHqdr9AGF+Cumw7hbcQ=";
sha256 = "sha256-nmojx3xX5MZFfd1od2Aq3+dWmHCFgR7+q5C2FIUzq7A=";
};
vendorSha256 = "sha256-ZzpmHoMkrDAZcMXtD6smEaFEmT/EnRcKd7XYz/IK72Y=";
vendorSha256 = "sha256-Ok2VUwtqhlp6NwLbQX9KAaGiZtzmfWG0LcqtBBDk22A=";
modRoot = "./v2";
subPackages = [

View file

@ -1,7 +1,8 @@
{ runCommand, gawk, extensions, makeWrapper }:
runCommand "gawk-with-extensions" {
buildInputs = [ makeWrapper gawk ] ++ extensions;
nativeBuildInputs = [ makeWrapper ];
buildInputs = [ gawk ] ++ extensions;
} ''
mkdir -p $out/bin
for i in ${gawk}/bin/*; do

View file

@ -2,13 +2,13 @@
stdenv.mkDerivation rec {
pname = "lowdown";
version = "0.8.4";
version = "0.8.5";
outputs = [ "out" "lib" "dev" "man" ];
src = fetchurl {
url = "https://kristaps.bsd.lv/lowdown/snapshots/lowdown-${version}.tar.gz";
sha512 = "1rbsngfw36lyc8s6qxl8hgb1pzj0gdzlb7yqkfblb8fpgs2z0ggyhnfszrqfir8s569i7a9yk9bdx2ggwqhjj56hmi2i4inlnb3rmni";
sha512 = "0gvrjxvizpxm5xvw8v2jygmx244wdl9n75qxz4chqbzkwshk4gwscz38p7sq9qlsbq8jmnv4l095a9dl9b836kym38hh1bvzmdiflar";
};
nativeBuildInputs = [ which ]

View file

@ -50,7 +50,8 @@ in (buildEnv {
"/tex/generic/config" # make it a real directory for scheme-infraonly
];
buildInputs = [ makeWrapper ] ++ pkgList.extraInputs;
nativeBuildInputs = [ makeWrapper ];
buildInputs = pkgList.extraInputs;
# This is set primarily to help find-tarballs.nix to do its job
passthru.packages = pkgList.all;

Some files were not shown because too many files have changed in this diff Show more